import{S as Ok,i as jk,s as qk,e as a,k as u,w as k,t as l,M as Ek,c as r,d as o,m as h,a as i,x as T,h as p,b as w,G as e,g as v,y as b,q as x,o as y,B as M,v as Rk,L as C}from"../../../chunks/vendor-hf-doc-builder.js";import{T as z}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as A}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as P}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as F}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Fk(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Ck(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),$=l("Example of text generation:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of text generation:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Ak(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipelines"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipelines"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Sk(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Nk(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMaskedLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
model = ORTModelForMaskedLM.from_pretrained("optimum/bert-base-uncased-for-masked-lm")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMaskedLM.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">28996</span>]`}}),{c(){s=a("p"),$=l("Example of feature extraction:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of feature extraction:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Pk(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
model = ORTModelForMaskedLM.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
fill_masker = pipeline("fill-mask", model=model, tokenizer=tokenizer)

text = "The capital of France is [MASK]."
pred = fill_masker(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMaskedLM.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker = pipeline(<span class="hljs-string">&quot;fill-mask&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = fill_masker(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function zk(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Ik(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),$=l("Example of text generation:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of text generation:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Dk(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Lk(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Vk(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>]`}}),{c(){s=a("p"),$=l("Example of single-label classification:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of single-label classification:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Uk(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipelines"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipelines"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Xk(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=<span class="hljs-literal">True</span>)`}}),{c(){s=a("p"),$=l("Example using zero-shot-classification "),d=a("code"),c=l("transformers.pipelines"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using zero-shot-classification "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipelines"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Wk(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Hk(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">9</span>]`}}),{c(){s=a("p"),$=l("Example of token classification:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of token classification:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Bk(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipelines"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipelines"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Gk(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Qk(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("ehdwns1516/bert-base-uncased_SWAG")
model = ORTModelForMultipleChoice.from_pretrained("ehdwns1516/bert-base-uncased_SWAG", from_transformers=True)

num_choices = 4
first_sentence = ["Members of the procession walk down the street holding small horn brass instruments."] * num_choices
second_sentence = [
    "A drum line passes by walking down the street playing their instruments.",
    "A drum line has heard approaching them.",
    "A drum line arrives and they're outside dancing and asleep.",
    "A drum line turns the lead singer watches the performance."
]
inputs = tokenizer(first_sentence, second_sentence, truncation=True, padding=True)

for k, v in inputs.items():
    inputs[k] = [v[i: i + num_choices] for i in range(0, len(v), num_choices)]
inputs = dict(inputs.convert_to_tensors(tensor_type="pt"))
outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>num_choices = <span class="hljs-number">4</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>first_sentence = [<span class="hljs-string">&quot;Members of the procession walk down the street holding small horn brass instruments.&quot;</span>] * num_choices
<span class="hljs-meta">&gt;&gt;&gt; </span>second_sentence = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line passes by walking down the street playing their instruments.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line has heard approaching them.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line arrives and they&#x27;re outside dancing and asleep.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line turns the lead singer watches the performance.&quot;</span>
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(first_sentence, second_sentence, truncation=<span class="hljs-literal">True</span>, padding=<span class="hljs-literal">True</span>)

<span class="hljs-comment"># Unflatten the inputs values expanding it to the shape [batch_size, num_choices, seq_length]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> inputs.items():
<span class="hljs-meta">... </span>    inputs[k] = [v[i: i + num_choices] <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">0</span>, <span class="hljs-built_in">len</span>(v), num_choices)]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = <span class="hljs-built_in">dict</span>(inputs.convert_to_tensors(tensor_type=<span class="hljs-string">&quot;pt&quot;</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),$=l("Example of mutliple choice:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of mutliple choice:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Jk(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Kk(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="np")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=a("p"),$=l("Example of question answering:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of question answering:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Yk(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Zk(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function eT(q){let s,$,d,c,g;return c=new A({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),$=l("Example of image classification:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of image classification:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function tT(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function oT(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function nT(q){let s,$,d,c,g;return c=new A({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForSemanticSegmentation
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")

inputs = preprocessor(images=image, return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),$=l("Example of semantic segmentation:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of semantic segmentation:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function sT(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForSemanticSegmentation

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
onnx_image_segmenter = pipeline("image-segmentation", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_segmenter(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_segmenter(url)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function aT(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function rT(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoFeatureExtractor
from optimum.onnxruntime import ORTModelForAudioClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = AutoFeatureExtractor.from_pretrained("optimum/hubert-base-superb-ks")
model = ORTModelForAudioClassification.from_pretrained("optimum/hubert-base-superb-ks")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForAudioClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-base-superb-ks&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForAudioClassification.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-base-superb-ks&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]`}}),{c(){s=a("p"),$=l("Example of audio classification:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of audio classification:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function iT(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForAudioClassification

feature_extractor = AutoFeatureExtractor.from_pretrained("optimum/hubert-base-superb-ks")
dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")

model = ORTModelForAudioClassification.from_pretrained("optimum/hubert-base-superb-ks")
onnx_ac = pipeline("audio-classification", model=model, feature_extractor=feature_extractor)

pred = onnx_ac(dataset[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForAudioClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-base-superb-ks&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForAudioClassification.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-base-superb-ks&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ac = pipeline(<span class="hljs-string">&quot;audio-classification&quot;</span>, model=model, feature_extractor=feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ac(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function lT(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function pT(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoFeatureExtractor
from optimum.onnxruntime import ORTModelForAudioFrameClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = AutoFeatureExtractor.from_pretrained("optimum/wav2vec2-base-superb-sd")
model =  ORTModelForAudioFrameClassification.from_pretrained("optimum/wav2vec2-base-superb-sd")

inputs = feature_extractor(dataset[0]["audio"]["array"], return_tensors="pt", sampling_rate=sampling_rate)
with torch.no_grad():
    logits = model(**inputs).logits

probabilities = torch.sigmoid(logits[0])
labels = (probabilities > 0.5).long()
labels[0].tolist()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForAudioFrameClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/wav2vec2-base-superb-sd&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model =  ORTModelForAudioFrameClassification.from_pretrained(<span class="hljs-string">&quot;optimum/wav2vec2-base-superb-sd&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, sampling_rate=sampling_rate)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>probabilities = torch.sigmoid(logits[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = (probabilities &gt; <span class="hljs-number">0.5</span>).long()
<span class="hljs-meta">&gt;&gt;&gt; </span>labels[<span class="hljs-number">0</span>].tolist()`}}),{c(){s=a("p"),$=l("Example of audio frame classification:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of audio frame classification:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function mT(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function dT(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoProcessor, HubertForCTC
from optimum.onnxruntime import ORTModelForCTC
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

processor = AutoProcessor.from_pretrained("optimum/hubert-large-ls960-ft")
model = ORTModelForCTC.from_pretrained("optimum/hubert-large-ls960-ft")

# audio file is decoded on the fly
inputs = processor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")
with torch.no_grad():
    logits = model(**inputs).logits
predicted_ids = torch.argmax(logits, dim=-1)

transcription = processor.batch_decode(predicted_ids)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, HubertForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-large-ls960-ft&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCTC.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-large-ls960-ft&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(predicted_ids)`}}),{c(){s=a("p"),$=l("Example of CTC:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of CTC:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function cT(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function uT(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),$=l("Example of text generation:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of text generation:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function hT(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoProcessor, pipeline
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function fT(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function gT(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoFeatureExtractor
from optimum.onnxruntime import ORTModelForAudioXVector
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = AutoFeatureExtractor.from_pretrained("optimum/wav2vec2-base-superb-sv")
model = ORTModelForAudioXVector.from_pretrained("optimum/wav2vec2-base-superb-sv")

# audio file is decoded on the fly
inputs = feature_extractor(
    [d["array"] for d in dataset[:2]["audio"]], sampling_rate=sampling_rate, return_tensors="pt", padding=True
)
with torch.no_grad():
    embeddings = model(**inputs).embeddings

embeddings = torch.nn.functional.normalize(embeddings, dim=-1).cpu()

cosine_sim = torch.nn.CosineSimilarity(dim=-1)
similarity = cosine_sim(embeddings[0], embeddings[1])
threshold = 0.7
if similarity < threshold:
    print("Speakers are not the same!")
round(similarity.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForAudioXVector
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/wav2vec2-base-superb-sv&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForAudioXVector.from_pretrained(<span class="hljs-string">&quot;optimum/wav2vec2-base-superb-sv&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(
<span class="hljs-meta">... </span>    [d[<span class="hljs-string">&quot;array&quot;</span>] <span class="hljs-keyword">for</span> d <span class="hljs-keyword">in</span> dataset[:<span class="hljs-number">2</span>][<span class="hljs-string">&quot;audio&quot;</span>]], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    embeddings = model(**inputs).embeddings

<span class="hljs-meta">&gt;&gt;&gt; </span>embeddings = torch.nn.functional.normalize(embeddings, dim=-<span class="hljs-number">1</span>).cpu()

<span class="hljs-meta">&gt;&gt;&gt; </span>cosine_sim = torch.nn.CosineSimilarity(dim=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>similarity = cosine_sim(embeddings[<span class="hljs-number">0</span>], embeddings[<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>threshold = <span class="hljs-number">0.7</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">if</span> similarity &lt; threshold:
<span class="hljs-meta">... </span>    <span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Speakers are not the same!&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(similarity.item(), <span class="hljs-number">2</span>)`}}),{c(){s=a("p"),$=l("Example of Audio XVector:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of Audio XVector:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function _T(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function $T(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoImageProcessor, AutoTokenizer
from optimum.onnxruntime import ORTModelForVision2Seq
from PIL import Image
import requests


processor = AutoImageProcessor.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
tokenizer = AutoTokenizer.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
model = ORTModelForVision2Seq.from_pretrained("nlpconnect/vit-gpt2-image-captioning", from_transformers=True)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)
inputs = processor(image, return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens, skip_special_tokens=True)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForVision2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests


<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForVision2Seq.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
`}}),{c(){s=a("p"),$=l("Example of text generation:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of text generation:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function vT(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoImageProcessor, AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForVision2Seq
from PIL import Image
import requests


processor = AutoImageProcessor.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
tokenizer = AutoTokenizer.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
model = ORTModelForVision2Seq.from_pretrained("nlpconnect/vit-gpt2-image-captioning", from_transformers=True)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_to_text = pipeline("image-to-text", model=model, tokenizer=tokenizer, feature_extractor=processor, image_processor=processor)
pred = image_to_text(image)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForVision2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests


<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForVision2Seq.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_to_text = pipeline(<span class="hljs-string">&quot;image-to-text&quot;</span>, model=model, tokenizer=tokenizer, feature_extractor=processor, image_processor=processor)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = image_to_text(image)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function wT(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function kT(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="np")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){s=a("p"),$=l("Example of custom tasks(e.g. a sentence transformers taking "),d=a("code"),c=l("pooler_output"),g=l(" as output):"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example of custom tasks(e.g. a sentence transformers taking "),d=r(O,"CODE",{});var E=i(d);c=p(E,"pooler_output"),E.forEach(o),g=p(O," as output):"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function TT(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipelines"),g=l("(only if the task is supported):"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipelines"),E.forEach(o),g=p(O,"(only if the task is supported):"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function bT(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function xT(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="np")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
list(last_hidden_state.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_state.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">384</span>]`}}),{c(){s=a("p"),$=l("Example of feature extraction:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of feature extraction:"),m.forEach(o),d=h(n),T(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),b(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function yT(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),T(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),b(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function MT(q){let s,$,d,c,g,n,m,j,f,O,E,It,er,Tn,Hm,tr,Bm,ip,$a,Gm,lp,Ze,Dt,or,bn,Qm,nr,Jm,pp,S,xn,Km,sr,Ym,Zm,yn,ed,ar,td,od,nd,rr,sd,ad,Mn,xe,rd,ir,id,ld,lr,pd,md,pr,dd,cd,ud,ye,hd,mr,fd,gd,dr,_d,$d,cr,vd,wd,kd,ur,Td,bd,de,On,xd,hr,yd,Md,Od,jn,jd,qn,qd,Ed,Rd,ce,Fd,fr,Cd,Ad,gr,Sd,Nd,_r,Pd,zd,$r,Id,Dd,Ld,En,Vd,vr,Ud,Xd,Wd,wr,Hd,Bd,Lt,Rn,Gd,kr,Qd,Jd,Vt,Fn,Kd,Cn,Yd,Tr,Zd,ec,tc,Ut,An,oc,br,nc,sc,Xt,Sn,ac,xr,rc,ic,Wt,Nn,lc,yr,pc,mp,et,Ht,Mr,Pn,mc,Or,dc,dp,va,cc,cp,tt,Bt,jr,zn,uc,qr,hc,up,ue,In,fc,Er,gc,_c,Gt,Dn,$c,Ln,vc,Rr,wc,kc,Tc,Z,Vn,bc,ot,xc,Fr,yc,Mc,Cr,Oc,jc,qc,Qt,Ec,Jt,Rc,Kt,hp,nt,Yt,Ar,Un,Fc,Sr,Cc,fp,D,Xn,Ac,Nr,Sc,Nc,Wn,Pc,wa,zc,Ic,Dc,Pr,Lc,Vc,ee,Hn,Uc,st,Xc,zr,Wc,Hc,Ir,Bc,Gc,Qc,Zt,Jc,eo,Kc,to,gp,at,oo,Dr,Bn,Yc,Lr,Zc,_p,he,Gn,eu,Vr,tu,ou,no,Qn,nu,Jn,su,Ur,au,ru,iu,te,Kn,lu,rt,pu,Xr,mu,du,Wr,cu,uu,hu,so,fu,ao,gu,ro,$p,it,io,Hr,Yn,_u,Br,$u,vp,L,Zn,vu,Gr,wu,ku,es,Tu,ka,bu,xu,yu,Qr,Mu,Ou,I,ts,ju,lt,qu,Jr,Eu,Ru,Kr,Fu,Cu,Au,lo,Su,po,Nu,mo,Pu,co,wp,pt,uo,Yr,os,zu,Zr,Iu,kp,V,ns,Du,ei,Lu,Vu,ss,Uu,Ta,Xu,Wu,Hu,ti,Bu,Gu,oe,as,Qu,mt,Ju,oi,Ku,Yu,ni,Zu,eh,th,ho,oh,fo,nh,go,Tp,dt,_o,si,rs,sh,ai,ah,bp,U,is,rh,ri,ih,lh,ls,ph,ba,mh,dh,ch,ii,uh,hh,ve,ps,fh,ct,gh,li,_h,$h,pi,vh,wh,kh,$o,Th,vo,xp,ut,wo,mi,ms,bh,di,xh,yp,xa,yh,Mp,ht,ko,ci,ds,Mh,ui,Oh,Op,X,cs,jh,hi,qh,Eh,us,Rh,ya,Fh,Ch,Ah,fi,Sh,Nh,ne,hs,Ph,ft,zh,gi,Ih,Dh,_i,Lh,Vh,Uh,To,Xh,bo,Wh,xo,jp,gt,yo,$i,fs,Hh,vi,Bh,qp,W,gs,Gh,wi,Qh,Jh,_s,Kh,Ma,Yh,Zh,ef,ki,tf,of,se,$s,nf,_t,sf,Ti,af,rf,bi,lf,pf,mf,Mo,df,Oo,cf,jo,Ep,$t,qo,xi,vs,uf,yi,hf,Rp,H,ws,ff,Mi,gf,_f,ks,$f,Oa,vf,wf,kf,Oi,Tf,bf,ae,Ts,xf,vt,yf,ji,Mf,Of,qi,jf,qf,Ef,Eo,Rf,Ro,Ff,Fo,Fp,wt,Co,Ei,bs,Cf,Ri,Af,Cp,ja,Sf,Ap,kt,Ao,Fi,xs,Nf,Ci,Pf,Sp,B,ys,zf,Ai,If,Df,Ms,Lf,qa,Vf,Uf,Xf,Si,Wf,Hf,re,Os,Bf,Tt,Gf,Ni,Qf,Jf,Pi,Kf,Yf,Zf,So,eg,No,tg,Po,Np,bt,zo,zi,js,og,Ii,ng,Pp,G,qs,sg,Di,ag,rg,Es,ig,Ea,lg,pg,mg,Li,dg,cg,we,Rs,ug,xt,hg,Vi,fg,gg,Ui,_g,$g,vg,Io,wg,Do,zp,yt,Lo,Xi,Fs,kg,Wi,Tg,Ip,Q,Cs,bg,Hi,xg,yg,As,Mg,Ra,Og,jg,qg,Bi,Eg,Rg,ke,Ss,Fg,Mt,Cg,Gi,Ag,Sg,Qi,Ng,Pg,zg,Vo,Ig,Uo,Dp,Ot,Xo,Ji,Ns,Dg,Ki,Lg,Lp,fe,Ps,Vg,Yi,Ug,Xg,Wo,zs,Wg,Is,Hg,Zi,Bg,Gg,Qg,ie,Ds,Jg,jt,Kg,el,Yg,Zg,tl,e_,t_,o_,Ho,n_,Bo,s_,Go,Vp,qt,Qo,ol,Ls,a_,nl,r_,Up,J,Vs,i_,sl,l_,p_,Us,m_,Fa,d_,c_,u_,al,h_,f_,Te,Xs,g_,Et,__,rl,$_,v_,il,w_,k_,T_,Jo,b_,Ko,Xp,Rt,Yo,ll,Ws,x_,pl,y_,Wp,Ca,M_,Hp,Ft,Zo,ml,Hs,O_,dl,j_,Bp,ge,Bs,q_,cl,E_,R_,en,Gs,F_,Qs,C_,ul,A_,S_,N_,le,Js,P_,Ct,z_,hl,I_,D_,fl,L_,V_,U_,tn,X_,on,W_,nn,Gp,At,sn,gl,Ks,H_,_l,B_,Qp,Aa,G_,Jp,St,an,$l,Ys,Q_,vl,J_,Kp,K,Zs,K_,wl,Y_,Z_,ea,e$,Sa,t$,o$,n$,kl,s$,a$,pe,ta,r$,Nt,i$,Tl,l$,p$,bl,m$,d$,c$,rn,u$,ln,h$,pn,Yp,Pt,mn,xl,oa,f$,yl,g$,Zp,Y,na,_$,Ml,$$,v$,sa,w$,Na,k$,T$,b$,Ol,x$,y$,me,aa,M$,zt,O$,jl,j$,q$,ql,E$,R$,F$,dn,C$,cn,A$,un,em;return n=new P({}),Tn=new P({}),bn=new P({}),xn=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L143"}}),Rn=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"export",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, defaults to <code>None</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only",description:`<strong>local_files_only</strong> (<code>Optional[bool]</code>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling. This option should only be set
to <code>True</code> for repositories you trust and in which you have read the code, as it will execute code present on
the Hub on your local machine.`,name:"trust_remote_code"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, defaults to <code>None</code>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, defaults to <code>None</code>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L595",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`,parameterGroups:[{title:"Parameters for decoder models (ORTModelForCausalLM, ORTModelForSeq2SeqLM, ORTModelForSeq2SeqLM, ORTModelForSpeechSeq2Seq, ORTModelForVision2Seq)",parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_cache",description:`<strong>use_cache</strong> (<code>Optional[bool]</code>, defaults to <code>True</code>) &#x2014;
Whether or not past key/values cache should be used. Defaults to <code>True</code>.`,name:"use_cache"}]},{title:"Parameters for ORTModelForCausalLM",parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_merged",description:`<strong>use_merged</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014;
whether or not to use a single ONNX that handles both the decoding without and with past key values reuse. This option defaults
to <code>True</code> if loading from a local repository and a merged decoder is found. When exporting with <code>from_transformers=True</code>,
defaults to <code>False</code>. This option should be set to <code>True</code> to minimize memory usage.`,name:"use_merged"}]}]}}),Fn=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, defaults to <code>None</code>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, defaults to <code>None</code>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L324"}}),An=new R({props:{name:"raise_on_numpy_input_io_binding",anchor:"optimum.onnxruntime.ORTModel.raise_on_numpy_input_io_binding",parameters:[{name:"use_torch",val:": bool"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.raise_on_numpy_input_io_binding.use_torch",description:`<strong>use_torch</strong> (<code>bool</code>) &#x2014;
Whether the tensor used during inference are of type torch.Tensor or not.`,name:"use_torch"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L801"}}),Sn=new R({props:{name:"shared_attributes_init",anchor:"optimum.onnxruntime.ORTModel.shared_attributes_init",parameters:[{name:"model",val:": InferenceSession"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L183"}}),Nn=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L288",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),Pn=new P({}),zn=new P({}),In=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"onnx_paths",val:": typing.List[str]"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_cache",val:": bool = True"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_decoder.py#L564"}}),Dn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForCausalLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_decoder.py#L637"}}),Vn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_decoder.py#L572"}}),Qt=new z({props:{$$slots:{default:[Fk]},$$scope:{ctx:q}}}),Jt=new F({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[Ck]},$$scope:{ctx:q}}}),Kt=new F({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Ak]},$$scope:{ctx:q}}}),Un=new P({}),Xn=new R({props:{name:"class optimum.onnxruntime.ORTModelForMaskedLM",anchor:"optimum.onnxruntime.ORTModelForMaskedLM",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L964"}}),Hn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L971"}}),Zt=new z({props:{$$slots:{default:[Sk]},$$scope:{ctx:q}}}),eo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.example",$$slots:{default:[Nk]},$$scope:{ctx:q}}}),to=new F({props:{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.example-2",$$slots:{default:[Pk]},$$scope:{ctx:q}}}),Bn=new P({}),Gn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_seq2seq.py#L867"}}),Qn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_seq2seq.py#L960"}}),Kn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_seq2seq.py#L878"}}),so=new z({props:{$$slots:{default:[zk]},$$scope:{ctx:q}}}),ao=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[Ik]},$$scope:{ctx:q}}}),ro=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[Dk]},$$scope:{ctx:q}}}),Yn=new P({}),Zn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1200"}}),ts=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1207"}}),lo=new z({props:{$$slots:{default:[Lk]},$$scope:{ctx:q}}}),po=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[Vk]},$$scope:{ctx:q}}}),mo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[Uk]},$$scope:{ctx:q}}}),co=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[Xk]},$$scope:{ctx:q}}}),os=new P({}),ns=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1306"}}),as=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1313"}}),ho=new z({props:{$$slots:{default:[Wk]},$$scope:{ctx:q}}}),fo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[Hk]},$$scope:{ctx:q}}}),go=new F({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[Bk]},$$scope:{ctx:q}}}),rs=new P({}),is=new R({props:{name:"class optimum.onnxruntime.ORTModelForMultipleChoice",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1409"}}),ps=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1416"}}),$o=new z({props:{$$slots:{default:[Gk]},$$scope:{ctx:q}}}),vo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.example",$$slots:{default:[Qk]},$$scope:{ctx:q}}}),ms=new P({}),ds=new P({}),cs=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1072"}}),hs=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1079"}}),To=new z({props:{$$slots:{default:[Jk]},$$scope:{ctx:q}}}),bo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[Kk]},$$scope:{ctx:q}}}),xo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[Yk]},$$scope:{ctx:q}}}),fs=new P({}),gs=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1519"}}),$s=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Union[torch.Tensor, numpy.ndarray]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, num_channels, height, width)</code>, defaults to <code>None</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1526"}}),Mo=new z({props:{$$slots:{default:[Zk]},$$scope:{ctx:q}}}),Oo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[eT]},$$scope:{ctx:q}}}),jo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[tT]},$$scope:{ctx:q}}}),vs=new P({}),ws=new R({props:{name:"class optimum.onnxruntime.ORTModelForSemanticSegmentation",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1618"}}),Ts=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, num_channels, height, width)</code>, defaults to <code>None</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1625"}}),Eo=new z({props:{$$slots:{default:[oT]},$$scope:{ctx:q}}}),Ro=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example",$$slots:{default:[nT]},$$scope:{ctx:q}}}),Fo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example-2",$$slots:{default:[sT]},$$scope:{ctx:q}}}),bs=new P({}),xs=new P({}),ys=new R({props:{name:"class optimum.onnxruntime.ORTModelForAudioClassification",anchor:"optimum.onnxruntime.ORTModelForAudioClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1730"}}),Os=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForAudioClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor] = None"},{name:"attenton_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform..
Input values can be obtained from audio file loaded into an array using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"input_values"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1737"}}),So=new z({props:{$$slots:{default:[aT]},$$scope:{ctx:q}}}),No=new F({props:{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.forward.example",$$slots:{default:[rT]},$$scope:{ctx:q}}}),Po=new F({props:{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.forward.example-2",$$slots:{default:[iT]},$$scope:{ctx:q}}}),js=new P({}),qs=new R({props:{name:"class optimum.onnxruntime.ORTModelForAudioFrameClassification",anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L2010"}}),Rs=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform..
Input values can be obtained from audio file loaded into an array using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"input_values"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L2017"}}),Io=new z({props:{$$slots:{default:[lT]},$$scope:{ctx:q}}}),Do=new F({props:{anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.forward.example",$$slots:{default:[pT]},$$scope:{ctx:q}}}),Fs=new P({}),Cs=new R({props:{name:"class optimum.onnxruntime.ORTModelForCTC",anchor:"optimum.onnxruntime.ORTModelForCTC",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCTC.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCTC.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCTC.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1820"}}),Ss=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCTC.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCTC.forward.input_values",description:`<strong>input_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform..
Input values can be obtained from audio file loaded into an array using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"input_values"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1827"}}),Vo=new z({props:{$$slots:{default:[mT]},$$scope:{ctx:q}}}),Uo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForCTC.forward.example",$$slots:{default:[dT]},$$scope:{ctx:q}}}),Ns=new P({}),Ps=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_seq2seq.py#L965"}}),zs=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_seq2seq.py#L1055"}}),Ds=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_seq2seq.py#L976"}}),Ho=new z({props:{$$slots:{default:[cT]},$$scope:{ctx:q}}}),Bo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[uT]},$$scope:{ctx:q}}}),Go=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[hT]},$$scope:{ctx:q}}}),Ls=new P({}),Vs=new R({props:{name:"class optimum.onnxruntime.ORTModelForAudioXVector",anchor:"optimum.onnxruntime.ORTModelForAudioXVector",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioXVector.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForAudioXVector.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForAudioXVector.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1916"}}),Xs=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForAudioXVector.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioXVector.forward.input_values",description:`<strong>input_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform..
Input values can be obtained from audio file loaded into an array using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"input_values"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L1923"}}),Jo=new z({props:{$$slots:{default:[fT]},$$scope:{ctx:q}}}),Ko=new F({props:{anchor:"optimum.onnxruntime.ORTModelForAudioXVector.forward.example",$$slots:{default:[gT]},$$scope:{ctx:q}}}),Ws=new P({}),Hs=new P({}),Bs=new R({props:{name:"class optimum.onnxruntime.ORTModelForVision2Seq",anchor:"optimum.onnxruntime.ORTModelForVision2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_seq2seq.py#L1060"}}),Gs=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForVision2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_seq2seq.py#L1181"}}),Js=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code>) &#x2014;
Features extracted from an Image. This tensor should be of shape
<code>(batch_size, num_channels, height, width)</code>.`,name:"pixel_values"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_seq2seq.py#L1103"}}),tn=new z({props:{$$slots:{default:[_T]},$$scope:{ctx:q}}}),on=new F({props:{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.example",$$slots:{default:[$T]},$$scope:{ctx:q}}}),nn=new F({props:{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.example-2",$$slots:{default:[vT]},$$scope:{ctx:q}}}),Ks=new P({}),Ys=new P({}),Zs=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L2095"}}),ta=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L2100"}}),rn=new z({props:{$$slots:{default:[wT]},$$scope:{ctx:q}}}),ln=new F({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[kT]},$$scope:{ctx:q}}}),pn=new F({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[TT]},$$scope:{ctx:q}}}),oa=new P({}),na=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L857"}}),aa=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.7.1/optimum/onnxruntime/modeling_ort.py#L864"}}),dn=new z({props:{$$slots:{default:[bT]},$$scope:{ctx:q}}}),cn=new F({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[xT]},$$scope:{ctx:q}}}),un=new F({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[yT]},$$scope:{ctx:q}}}),{c(){s=a("meta"),$=u(),d=a("h1"),c=a("a"),g=a("span"),k(n.$$.fragment),m=u(),j=a("span"),f=l("Models"),O=u(),E=a("h2"),It=a("a"),er=a("span"),k(Tn.$$.fragment),Hm=u(),tr=a("span"),Bm=l("Generic model classes"),ip=u(),$a=a("p"),Gm=l("The following ORT classes are available for instantiating a base model class without a specific head."),lp=u(),Ze=a("h3"),Dt=a("a"),or=a("span"),k(bn.$$.fragment),Qm=u(),nr=a("span"),Jm=l("ORTModel"),pp=u(),S=a("div"),k(xn.$$.fragment),Km=u(),sr=a("p"),Ym=l("Base class for implementing models using ONNX Runtime."),Zm=u(),yn=a("p"),ed=l(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),ar=a("code"),td=l("optimum.exporters.onnx"),od=l(" toolchain."),nd=u(),rr=a("p"),sd=l("Class attributes:"),ad=u(),Mn=a("ul"),xe=a("li"),rd=l("model_type ("),ir=a("code"),id=l("str"),ld=l(", "),lr=a("em"),pd=l("optional"),md=l(", defaults to "),pr=a("code"),dd=l('"onnx_model"'),cd=l(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),ud=u(),ye=a("li"),hd=l("auto_model_class ("),mr=a("code"),fd=l("Type"),gd=l(", "),dr=a("em"),_d=l("optional"),$d=l(", defaults to "),cr=a("code"),vd=l("AutoModel"),wd=l(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),kd=u(),ur=a("p"),Td=l("Common attributes:"),bd=u(),de=a("ul"),On=a("li"),xd=l("model ("),hr=a("code"),yd=l("ort.InferenceSession"),Md=l(") \u2014 The ONNX Runtime InferenceSession that is running the model."),Od=u(),jn=a("li"),jd=l("config ("),qn=a("a"),qd=l("PretrainedConfig"),Ed=l(" \u2014 The configuration of the model."),Rd=u(),ce=a("li"),Fd=l("use_io_binding ("),fr=a("code"),Cd=l("bool"),Ad=l(", "),gr=a("em"),Sd=l("optional"),Nd=l(", defaults to "),_r=a("code"),Pd=l("True"),zd=l(") \u2014 Whether to use I/O bindings with "),$r=a("strong"),Id=l(`ONNX Runtime
with the CUDAExecutionProvider`),Dd=l(", this can significantly speedup inference depending on the task."),Ld=u(),En=a("li"),Vd=l("model_save_dir ("),vr=a("code"),Ud=l("Path"),Xd=l(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Wd=u(),wr=a("li"),Hd=l("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Bd=u(),Lt=a("div"),k(Rn.$$.fragment),Gd=u(),kr=a("p"),Qd=l("Instantiate a pretrained model from a pre-trained model configuration."),Jd=u(),Vt=a("div"),k(Fn.$$.fragment),Kd=u(),Cn=a("p"),Yd=l("Loads an ONNX Inference session with a given provider. Default provider is "),Tr=a("code"),Zd=l("CPUExecutionProvider"),ec=l(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),tc=u(),Ut=a("div"),k(An.$$.fragment),oc=u(),br=a("p"),nc=l("Raises an error if IO Binding is requested although the tensor used are numpy arrays."),sc=u(),Xt=a("div"),k(Sn.$$.fragment),ac=u(),xr=a("p"),rc=l("Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),ic=u(),Wt=a("div"),k(Nn.$$.fragment),lc=u(),yr=a("p"),pc=l("Changes the ONNX Runtime provider according to the device."),mp=u(),et=a("h2"),Ht=a("a"),Mr=a("span"),k(Pn.$$.fragment),mc=u(),Or=a("span"),dc=l("Natural Language Processing"),dp=u(),va=a("p"),cc=l("The following ORT classes are available for the following natural language processing tasks."),cp=u(),tt=a("h3"),Bt=a("a"),jr=a("span"),k(zn.$$.fragment),uc=u(),qr=a("span"),hc=l("ORTModelForCausalLM"),up=u(),ue=a("div"),k(In.$$.fragment),fc=u(),Er=a("p"),gc=l("ONNX model with a causal language modeling head for ONNX Runtime inference."),_c=u(),Gt=a("div"),k(Dn.$$.fragment),$c=u(),Ln=a("p"),vc=l("Returns True to validate the check that the model using "),Rr=a("code"),wc=l("GenerationMixin.generate()"),kc=l(" can indeed generate."),Tc=u(),Z=a("div"),k(Vn.$$.fragment),bc=u(),ot=a("p"),xc=l("The "),Fr=a("code"),yc=l("ORTModelForCausalLM"),Mc=l(" forward method, overrides the "),Cr=a("code"),Oc=l("__call__"),jc=l(" special method."),qc=u(),k(Qt.$$.fragment),Ec=u(),k(Jt.$$.fragment),Rc=u(),k(Kt.$$.fragment),hp=u(),nt=a("h3"),Yt=a("a"),Ar=a("span"),k(Un.$$.fragment),Fc=u(),Sr=a("span"),Cc=l("ORTModelForMaskedLM"),fp=u(),D=a("div"),k(Xn.$$.fragment),Ac=u(),Nr=a("p"),Sc=l("Onnx Model with a MaskedLMOutput for masked language modeling tasks."),Nc=u(),Wn=a("p"),Pc=l("This model inherits from "),wa=a("a"),zc=l("ORTModel"),Ic=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Dc=u(),Pr=a("p"),Lc=l("Masked language model for ONNX."),Vc=u(),ee=a("div"),k(Hn.$$.fragment),Uc=u(),st=a("p"),Xc=l("The "),zr=a("code"),Wc=l("ORTModelForMaskedLM"),Hc=l(" forward method, overrides the "),Ir=a("code"),Bc=l("__call__"),Gc=l(" special method."),Qc=u(),k(Zt.$$.fragment),Jc=u(),k(eo.$$.fragment),Kc=u(),k(to.$$.fragment),gp=u(),at=a("h3"),oo=a("a"),Dr=a("span"),k(Bn.$$.fragment),Yc=u(),Lr=a("span"),Zc=l("ORTModelForSeq2SeqLM"),_p=u(),he=a("div"),k(Gn.$$.fragment),eu=u(),Vr=a("p"),tu=l("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),ou=u(),no=a("div"),k(Qn.$$.fragment),nu=u(),Jn=a("p"),su=l("Returns True to validate the check that the model using "),Ur=a("code"),au=l("GenerationMixin.generate()"),ru=l(" can indeed generate."),iu=u(),te=a("div"),k(Kn.$$.fragment),lu=u(),rt=a("p"),pu=l("The "),Xr=a("code"),mu=l("ORTModelForSeq2SeqLM"),du=l(" forward method, overrides the "),Wr=a("code"),cu=l("__call__"),uu=l(" special method."),hu=u(),k(so.$$.fragment),fu=u(),k(ao.$$.fragment),gu=u(),k(ro.$$.fragment),$p=u(),it=a("h3"),io=a("a"),Hr=a("span"),k(Yn.$$.fragment),_u=u(),Br=a("span"),$u=l("ORTModelForSequenceClassification"),vp=u(),L=a("div"),k(Zn.$$.fragment),vu=u(),Gr=a("p"),wu=l(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),ku=u(),es=a("p"),Tu=l("This model inherits from "),ka=a("a"),bu=l("ORTModel"),xu=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),yu=u(),Qr=a("p"),Mu=l("Sequence Classification model for ONNX."),Ou=u(),I=a("div"),k(ts.$$.fragment),ju=u(),lt=a("p"),qu=l("The "),Jr=a("code"),Eu=l("ORTModelForSequenceClassification"),Ru=l(" forward method, overrides the "),Kr=a("code"),Fu=l("__call__"),Cu=l(" special method."),Au=u(),k(lo.$$.fragment),Su=u(),k(po.$$.fragment),Nu=u(),k(mo.$$.fragment),Pu=u(),k(co.$$.fragment),wp=u(),pt=a("h3"),uo=a("a"),Yr=a("span"),k(os.$$.fragment),zu=u(),Zr=a("span"),Iu=l("ORTModelForTokenClassification"),kp=u(),V=a("div"),k(ns.$$.fragment),Du=u(),ei=a("p"),Lu=l(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Vu=u(),ss=a("p"),Uu=l("This model inherits from "),Ta=a("a"),Xu=l("ORTModel"),Wu=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Hu=u(),ti=a("p"),Bu=l("Token Classification model for ONNX."),Gu=u(),oe=a("div"),k(as.$$.fragment),Qu=u(),mt=a("p"),Ju=l("The "),oi=a("code"),Ku=l("ORTModelForTokenClassification"),Yu=l(" forward method, overrides the "),ni=a("code"),Zu=l("__call__"),eh=l(" special method."),th=u(),k(ho.$$.fragment),oh=u(),k(fo.$$.fragment),nh=u(),k(go.$$.fragment),Tp=u(),dt=a("h3"),_o=a("a"),si=a("span"),k(rs.$$.fragment),sh=u(),ai=a("span"),ah=l("ORTModelForMultipleChoice"),bp=u(),U=a("div"),k(is.$$.fragment),rh=u(),ri=a("p"),ih=l(`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),lh=u(),ls=a("p"),ph=l("This model inherits from "),ba=a("a"),mh=l("ORTModel"),dh=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ch=u(),ii=a("p"),uh=l("Multiple choice model for ONNX."),hh=u(),ve=a("div"),k(ps.$$.fragment),fh=u(),ct=a("p"),gh=l("The "),li=a("code"),_h=l("ORTModelForMultipleChoice"),$h=l(" forward method, overrides the "),pi=a("code"),vh=l("__call__"),wh=l(" special method."),kh=u(),k($o.$$.fragment),Th=u(),k(vo.$$.fragment),xp=u(),ut=a("h2"),wo=a("a"),mi=a("span"),k(ms.$$.fragment),bh=u(),di=a("span"),xh=l("Computer vision"),yp=u(),xa=a("p"),yh=l("The following ORT classes are available for the following computer vision tasks."),Mp=u(),ht=a("h3"),ko=a("a"),ci=a("span"),k(ds.$$.fragment),Mh=u(),ui=a("span"),Oh=l("ORTModelForQuestionAnswering"),Op=u(),X=a("div"),k(cs.$$.fragment),jh=u(),hi=a("p"),qh=l("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Eh=u(),us=a("p"),Rh=l("This model inherits from "),ya=a("a"),Fh=l("ORTModel"),Ch=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ah=u(),fi=a("p"),Sh=l("Question Answering model for ONNX."),Nh=u(),ne=a("div"),k(hs.$$.fragment),Ph=u(),ft=a("p"),zh=l("The "),gi=a("code"),Ih=l("ORTModelForQuestionAnswering"),Dh=l(" forward method, overrides the "),_i=a("code"),Lh=l("__call__"),Vh=l(" special method."),Uh=u(),k(To.$$.fragment),Xh=u(),k(bo.$$.fragment),Wh=u(),k(xo.$$.fragment),jp=u(),gt=a("h3"),yo=a("a"),$i=a("span"),k(fs.$$.fragment),Hh=u(),vi=a("span"),Bh=l("ORTModelForImageClassification"),qp=u(),W=a("div"),k(gs.$$.fragment),Gh=u(),wi=a("p"),Qh=l("Onnx Model for image-classification tasks."),Jh=u(),_s=a("p"),Kh=l("This model inherits from "),Ma=a("a"),Yh=l("ORTModel"),Zh=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ef=u(),ki=a("p"),tf=l("Image Classification model for ONNX."),of=u(),se=a("div"),k($s.$$.fragment),nf=u(),_t=a("p"),sf=l("The "),Ti=a("code"),af=l("ORTModelForImageClassification"),rf=l(" forward method, overrides the "),bi=a("code"),lf=l("__call__"),pf=l(" special method."),mf=u(),k(Mo.$$.fragment),df=u(),k(Oo.$$.fragment),cf=u(),k(jo.$$.fragment),Ep=u(),$t=a("h3"),qo=a("a"),xi=a("span"),k(vs.$$.fragment),uf=u(),yi=a("span"),hf=l("ORTModelForSemanticSegmentation"),Rp=u(),H=a("div"),k(ws.$$.fragment),ff=u(),Mi=a("p"),gf=l("Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),_f=u(),ks=a("p"),$f=l("This model inherits from "),Oa=a("a"),vf=l("ORTModel"),wf=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),kf=u(),Oi=a("p"),Tf=l("Semantic Segmentation model for ONNX."),bf=u(),ae=a("div"),k(Ts.$$.fragment),xf=u(),vt=a("p"),yf=l("The "),ji=a("code"),Mf=l("ORTModelForSemanticSegmentation"),Of=l(" forward method, overrides the "),qi=a("code"),jf=l("__call__"),qf=l(" special method."),Ef=u(),k(Eo.$$.fragment),Rf=u(),k(Ro.$$.fragment),Ff=u(),k(Fo.$$.fragment),Fp=u(),wt=a("h2"),Co=a("a"),Ei=a("span"),k(bs.$$.fragment),Cf=u(),Ri=a("span"),Af=l("Audio"),Cp=u(),ja=a("p"),Sf=l("The following ORT classes are available for the following audio tasks."),Ap=u(),kt=a("h3"),Ao=a("a"),Fi=a("span"),k(xs.$$.fragment),Nf=u(),Ci=a("span"),Pf=l("ORTModelForAudioClassification"),Sp=u(),B=a("div"),k(ys.$$.fragment),zf=u(),Ai=a("p"),If=l(`Onnx Model with a sequence classification head on top (a linear layer over the pooled output) for tasks like
SUPERB Keyword Spotting.`),Df=u(),Ms=a("p"),Lf=l("This model inherits from "),qa=a("a"),Vf=l("ORTModel"),Uf=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Xf=u(),Si=a("p"),Wf=l("Audio Classification model for ONNX."),Hf=u(),re=a("div"),k(Os.$$.fragment),Bf=u(),Tt=a("p"),Gf=l("The "),Ni=a("code"),Qf=l("ORTModelForAudioClassification"),Jf=l(" forward method, overrides the "),Pi=a("code"),Kf=l("__call__"),Yf=l(" special method."),Zf=u(),k(So.$$.fragment),eg=u(),k(No.$$.fragment),tg=u(),k(Po.$$.fragment),Np=u(),bt=a("h3"),zo=a("a"),zi=a("span"),k(js.$$.fragment),og=u(),Ii=a("span"),ng=l("ORTModelForAudioFrameClassification"),Pp=u(),G=a("div"),k(qs.$$.fragment),sg=u(),Di=a("p"),ag=l("Onnx Model for with a frame classification head on top for tasks like Speaker Diarization."),rg=u(),Es=a("p"),ig=l("This model inherits from "),Ea=a("a"),lg=l("ORTModel"),pg=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),mg=u(),Li=a("p"),dg=l("Audio Frame Classification model for ONNX."),cg=u(),we=a("div"),k(Rs.$$.fragment),ug=u(),xt=a("p"),hg=l("The "),Vi=a("code"),fg=l("ORTModelForAudioFrameClassification"),gg=l(" forward method, overrides the "),Ui=a("code"),_g=l("__call__"),$g=l(" special method."),vg=u(),k(Io.$$.fragment),wg=u(),k(Do.$$.fragment),zp=u(),yt=a("h3"),Lo=a("a"),Xi=a("span"),k(Fs.$$.fragment),kg=u(),Wi=a("span"),Tg=l("ORTModelForCTC"),Ip=u(),Q=a("div"),k(Cs.$$.fragment),bg=u(),Hi=a("p"),xg=l("Onnx Model with a language modeling head on top for Connectionist Temporal Classification (CTC)."),yg=u(),As=a("p"),Mg=l("This model inherits from "),Ra=a("a"),Og=l("ORTModel"),jg=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),qg=u(),Bi=a("p"),Eg=l("CTC model for ONNX."),Rg=u(),ke=a("div"),k(Ss.$$.fragment),Fg=u(),Mt=a("p"),Cg=l("The "),Gi=a("code"),Ag=l("ORTModelForCTC"),Sg=l(" forward method, overrides the "),Qi=a("code"),Ng=l("__call__"),Pg=l(" special method."),zg=u(),k(Vo.$$.fragment),Ig=u(),k(Uo.$$.fragment),Dp=u(),Ot=a("h3"),Xo=a("a"),Ji=a("span"),k(Ns.$$.fragment),Dg=u(),Ki=a("span"),Lg=l("ORTModelForSpeechSeq2Seq"),Lp=u(),fe=a("div"),k(Ps.$$.fragment),Vg=u(),Yi=a("p"),Ug=l("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Xg=u(),Wo=a("div"),k(zs.$$.fragment),Wg=u(),Is=a("p"),Hg=l("Returns True to validate the check that the model using "),Zi=a("code"),Bg=l("GenerationMixin.generate()"),Gg=l(" can indeed generate."),Qg=u(),ie=a("div"),k(Ds.$$.fragment),Jg=u(),jt=a("p"),Kg=l("The "),el=a("code"),Yg=l("ORTModelForSpeechSeq2Seq"),Zg=l(" forward method, overrides the "),tl=a("code"),e_=l("__call__"),t_=l(" special method."),o_=u(),k(Ho.$$.fragment),n_=u(),k(Bo.$$.fragment),s_=u(),k(Go.$$.fragment),Vp=u(),qt=a("h3"),Qo=a("a"),ol=a("span"),k(Ls.$$.fragment),a_=u(),nl=a("span"),r_=l("ORTModelForAudioXVector"),Up=u(),J=a("div"),k(Vs.$$.fragment),i_=u(),sl=a("p"),l_=l("Onnx Model with an XVector feature extraction head on top for tasks like Speaker Verification."),p_=u(),Us=a("p"),m_=l("This model inherits from "),Fa=a("a"),d_=l("ORTModel"),c_=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),u_=u(),al=a("p"),h_=l("Audio XVector model for ONNX."),f_=u(),Te=a("div"),k(Xs.$$.fragment),g_=u(),Et=a("p"),__=l("The "),rl=a("code"),$_=l("ORTModelForAudioXVector"),v_=l(" forward method, overrides the "),il=a("code"),w_=l("__call__"),k_=l(" special method."),T_=u(),k(Jo.$$.fragment),b_=u(),k(Ko.$$.fragment),Xp=u(),Rt=a("h2"),Yo=a("a"),ll=a("span"),k(Ws.$$.fragment),x_=u(),pl=a("span"),y_=l("Multimodal"),Wp=u(),Ca=a("p"),M_=l("The following ORT classes are available for the following multimodal tasks."),Hp=u(),Ft=a("h3"),Zo=a("a"),ml=a("span"),k(Hs.$$.fragment),O_=u(),dl=a("span"),j_=l("ORTModelForVision2Seq"),Bp=u(),ge=a("div"),k(Bs.$$.fragment),q_=u(),cl=a("p"),E_=l("VisionEncoderDecoder Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),R_=u(),en=a("div"),k(Gs.$$.fragment),F_=u(),Qs=a("p"),C_=l("Returns True to validate the check that the model using "),ul=a("code"),A_=l("GenerationMixin.generate()"),S_=l(" can indeed generate."),N_=u(),le=a("div"),k(Js.$$.fragment),P_=u(),Ct=a("p"),z_=l("The "),hl=a("code"),I_=l("ORTModelForVision2Seq"),D_=l(" forward method, overrides the "),fl=a("code"),L_=l("__call__"),V_=l(" special method."),U_=u(),k(tn.$$.fragment),X_=u(),k(on.$$.fragment),W_=u(),k(nn.$$.fragment),Gp=u(),At=a("h2"),sn=a("a"),gl=a("span"),k(Ks.$$.fragment),H_=u(),_l=a("span"),B_=l("Custom Tasks"),Qp=u(),Aa=a("p"),G_=l("The following ORT classes are available for the following custom tasks."),Jp=u(),St=a("h4"),an=a("a"),$l=a("span"),k(Ys.$$.fragment),Q_=u(),vl=a("span"),J_=l("ORTModelForCustomTasks"),Kp=u(),K=a("div"),k(Zs.$$.fragment),K_=u(),wl=a("p"),Y_=l("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),Z_=u(),ea=a("p"),e$=l("This model inherits from "),Sa=a("a"),t$=l("ORTModel"),o$=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),n$=u(),kl=a("p"),s$=l("Model for any custom tasks if the ONNX model is stored in a single file."),a$=u(),pe=a("div"),k(ta.$$.fragment),r$=u(),Nt=a("p"),i$=l("The "),Tl=a("code"),l$=l("ORTModelForCustomTasks"),p$=l(" forward method, overrides the "),bl=a("code"),m$=l("__call__"),d$=l(" special method."),c$=u(),k(rn.$$.fragment),u$=u(),k(ln.$$.fragment),h$=u(),k(pn.$$.fragment),Yp=u(),Pt=a("h4"),mn=a("a"),xl=a("span"),k(oa.$$.fragment),f$=u(),yl=a("span"),g$=l("ORTModelForFeatureExtraction"),Zp=u(),Y=a("div"),k(na.$$.fragment),_$=u(),Ml=a("p"),$$=l("Onnx Model with a BaseModelOutput for feature-extraction tasks."),v$=u(),sa=a("p"),w$=l("This model inherits from "),Na=a("a"),k$=l("ORTModel"),T$=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),b$=u(),Ol=a("p"),x$=l("Feature Extraction model for ONNX."),y$=u(),me=a("div"),k(aa.$$.fragment),M$=u(),zt=a("p"),O$=l("The "),jl=a("code"),j$=l("ORTModelForFeatureExtraction"),q$=l(" forward method, overrides the "),ql=a("code"),E$=l("__call__"),R$=l(" special method."),F$=u(),k(dn.$$.fragment),C$=u(),k(cn.$$.fragment),A$=u(),k(un.$$.fragment),this.h()},l(t){const _=Ek('[data-svelte="svelte-1phssyn"]',document.head);s=r(_,"META",{name:!0,content:!0}),_.forEach(o),$=h(t),d=r(t,"H1",{class:!0});var ra=i(d);c=r(ra,"A",{id:!0,class:!0,href:!0});var El=i(c);g=r(El,"SPAN",{});var Rl=i(g);T(n.$$.fragment,Rl),Rl.forEach(o),El.forEach(o),m=h(ra),j=r(ra,"SPAN",{});var Fl=i(j);f=p(Fl,"Models"),Fl.forEach(o),ra.forEach(o),O=h(t),E=r(t,"H2",{class:!0});var ia=i(E);It=r(ia,"A",{id:!0,class:!0,href:!0});var Cl=i(It);er=r(Cl,"SPAN",{});var Al=i(er);T(Tn.$$.fragment,Al),Al.forEach(o),Cl.forEach(o),Hm=h(ia),tr=r(ia,"SPAN",{});var Sl=i(tr);Bm=p(Sl,"Generic model classes"),Sl.forEach(o),ia.forEach(o),ip=h(t),$a=r(t,"P",{});var Nl=i($a);Gm=p(Nl,"The following ORT classes are available for instantiating a base model class without a specific head."),Nl.forEach(o),lp=h(t),Ze=r(t,"H3",{class:!0});var la=i(Ze);Dt=r(la,"A",{id:!0,class:!0,href:!0});var Pl=i(Dt);or=r(Pl,"SPAN",{});var zl=i(or);T(bn.$$.fragment,zl),zl.forEach(o),Pl.forEach(o),Qm=h(la),nr=r(la,"SPAN",{});var Il=i(nr);Jm=p(Il,"ORTModel"),Il.forEach(o),la.forEach(o),pp=h(t),S=r(t,"DIV",{class:!0});var N=i(S);T(xn.$$.fragment,N),Km=h(N),sr=r(N,"P",{});var Dl=i(sr);Ym=p(Dl,"Base class for implementing models using ONNX Runtime."),Dl.forEach(o),Zm=h(N),yn=r(N,"P",{});var pa=i(yn);ed=p(pa,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),ar=r(pa,"CODE",{});var Ll=i(ar);td=p(Ll,"optimum.exporters.onnx"),Ll.forEach(o),od=p(pa," toolchain."),pa.forEach(o),nd=h(N),rr=r(N,"P",{});var Vl=i(rr);sd=p(Vl,"Class attributes:"),Vl.forEach(o),ad=h(N),Mn=r(N,"UL",{});var ma=i(Mn);xe=r(ma,"LI",{});var Me=i(xe);rd=p(Me,"model_type ("),ir=r(Me,"CODE",{});var Ul=i(ir);id=p(Ul,"str"),Ul.forEach(o),ld=p(Me,", "),lr=r(Me,"EM",{});var Xl=i(lr);pd=p(Xl,"optional"),Xl.forEach(o),md=p(Me,", defaults to "),pr=r(Me,"CODE",{});var Wl=i(pr);dd=p(Wl,'"onnx_model"'),Wl.forEach(o),cd=p(Me,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),Me.forEach(o),ud=h(ma),ye=r(ma,"LI",{});var Oe=i(ye);hd=p(Oe,"auto_model_class ("),mr=r(Oe,"CODE",{});var Hl=i(mr);fd=p(Hl,"Type"),Hl.forEach(o),gd=p(Oe,", "),dr=r(Oe,"EM",{});var Bl=i(dr);_d=p(Bl,"optional"),Bl.forEach(o),$d=p(Oe,", defaults to "),cr=r(Oe,"CODE",{});var Gl=i(cr);vd=p(Gl,"AutoModel"),Gl.forEach(o),wd=p(Oe,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),Oe.forEach(o),ma.forEach(o),kd=h(N),ur=r(N,"P",{});var Ql=i(ur);Td=p(Ql,"Common attributes:"),Ql.forEach(o),bd=h(N),de=r(N,"UL",{});var _e=i(de);On=r(_e,"LI",{});var da=i(On);xd=p(da,"model ("),hr=r(da,"CODE",{});var Jl=i(hr);yd=p(Jl,"ort.InferenceSession"),Jl.forEach(o),Md=p(da,") \u2014 The ONNX Runtime InferenceSession that is running the model."),da.forEach(o),Od=h(_e),jn=r(_e,"LI",{});var ca=i(jn);jd=p(ca,"config ("),qn=r(ca,"A",{href:!0,rel:!0});var Kl=i(qn);qd=p(Kl,"PretrainedConfig"),Kl.forEach(o),Ed=p(ca," \u2014 The configuration of the model."),ca.forEach(o),Rd=h(_e),ce=r(_e,"LI",{});var $e=i(ce);Fd=p($e,"use_io_binding ("),fr=r($e,"CODE",{});var Yl=i(fr);Cd=p(Yl,"bool"),Yl.forEach(o),Ad=p($e,", "),gr=r($e,"EM",{});var Zl=i(gr);Sd=p(Zl,"optional"),Zl.forEach(o),Nd=p($e,", defaults to "),_r=r($e,"CODE",{});var ep=i(_r);Pd=p(ep,"True"),ep.forEach(o),zd=p($e,") \u2014 Whether to use I/O bindings with "),$r=r($e,"STRONG",{});var tp=i($r);Id=p(tp,`ONNX Runtime
with the CUDAExecutionProvider`),tp.forEach(o),Dd=p($e,", this can significantly speedup inference depending on the task."),$e.forEach(o),Ld=h(_e),En=r(_e,"LI",{});var ua=i(En);Vd=p(ua,"model_save_dir ("),vr=r(ua,"CODE",{});var op=i(vr);Ud=p(op,"Path"),op.forEach(o),Xd=p(ua,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),ua.forEach(o),Wd=h(_e),wr=r(_e,"LI",{});var np=i(wr);Hd=p(np,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),np.forEach(o),_e.forEach(o),Bd=h(N),Lt=r(N,"DIV",{class:!0});var ha=i(Lt);T(Rn.$$.fragment,ha),Gd=h(ha),kr=r(ha,"P",{});var sp=i(kr);Qd=p(sp,"Instantiate a pretrained model from a pre-trained model configuration."),sp.forEach(o),ha.forEach(o),Jd=h(N),Vt=r(N,"DIV",{class:!0});var fa=i(Vt);T(Fn.$$.fragment,fa),Kd=h(fa),Cn=r(fa,"P",{});var ga=i(Cn);Yd=p(ga,"Loads an ONNX Inference session with a given provider. Default provider is "),Tr=r(ga,"CODE",{});var ap=i(Tr);Zd=p(ap,"CPUExecutionProvider"),ap.forEach(o),ec=p(ga,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),ga.forEach(o),fa.forEach(o),tc=h(N),Ut=r(N,"DIV",{class:!0});var _a=i(Ut);T(An.$$.fragment,_a),oc=h(_a),br=r(_a,"P",{});var rp=i(br);nc=p(rp,"Raises an error if IO Binding is requested although the tensor used are numpy arrays."),rp.forEach(o),_a.forEach(o),sc=h(N),Xt=r(N,"DIV",{class:!0});var tm=i(Xt);T(Sn.$$.fragment,tm),ac=h(tm),xr=r(tm,"P",{});var S$=i(xr);rc=p(S$,"Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),S$.forEach(o),tm.forEach(o),ic=h(N),Wt=r(N,"DIV",{class:!0});var om=i(Wt);T(Nn.$$.fragment,om),lc=h(om),yr=r(om,"P",{});var N$=i(yr);pc=p(N$,"Changes the ONNX Runtime provider according to the device."),N$.forEach(o),om.forEach(o),N.forEach(o),mp=h(t),et=r(t,"H2",{class:!0});var nm=i(et);Ht=r(nm,"A",{id:!0,class:!0,href:!0});var P$=i(Ht);Mr=r(P$,"SPAN",{});var z$=i(Mr);T(Pn.$$.fragment,z$),z$.forEach(o),P$.forEach(o),mc=h(nm),Or=r(nm,"SPAN",{});var I$=i(Or);dc=p(I$,"Natural Language Processing"),I$.forEach(o),nm.forEach(o),dp=h(t),va=r(t,"P",{});var D$=i(va);cc=p(D$,"The following ORT classes are available for the following natural language processing tasks."),D$.forEach(o),cp=h(t),tt=r(t,"H3",{class:!0});var sm=i(tt);Bt=r(sm,"A",{id:!0,class:!0,href:!0});var L$=i(Bt);jr=r(L$,"SPAN",{});var V$=i(jr);T(zn.$$.fragment,V$),V$.forEach(o),L$.forEach(o),uc=h(sm),qr=r(sm,"SPAN",{});var U$=i(qr);hc=p(U$,"ORTModelForCausalLM"),U$.forEach(o),sm.forEach(o),up=h(t),ue=r(t,"DIV",{class:!0});var hn=i(ue);T(In.$$.fragment,hn),fc=h(hn),Er=r(hn,"P",{});var X$=i(Er);gc=p(X$,"ONNX model with a causal language modeling head for ONNX Runtime inference."),X$.forEach(o),_c=h(hn),Gt=r(hn,"DIV",{class:!0});var am=i(Gt);T(Dn.$$.fragment,am),$c=h(am),Ln=r(am,"P",{});var rm=i(Ln);vc=p(rm,"Returns True to validate the check that the model using "),Rr=r(rm,"CODE",{});var W$=i(Rr);wc=p(W$,"GenerationMixin.generate()"),W$.forEach(o),kc=p(rm," can indeed generate."),rm.forEach(o),am.forEach(o),Tc=h(hn),Z=r(hn,"DIV",{class:!0});var je=i(Z);T(Vn.$$.fragment,je),bc=h(je),ot=r(je,"P",{});var Pa=i(ot);xc=p(Pa,"The "),Fr=r(Pa,"CODE",{});var H$=i(Fr);yc=p(H$,"ORTModelForCausalLM"),H$.forEach(o),Mc=p(Pa," forward method, overrides the "),Cr=r(Pa,"CODE",{});var B$=i(Cr);Oc=p(B$,"__call__"),B$.forEach(o),jc=p(Pa," special method."),Pa.forEach(o),qc=h(je),T(Qt.$$.fragment,je),Ec=h(je),T(Jt.$$.fragment,je),Rc=h(je),T(Kt.$$.fragment,je),je.forEach(o),hn.forEach(o),hp=h(t),nt=r(t,"H3",{class:!0});var im=i(nt);Yt=r(im,"A",{id:!0,class:!0,href:!0});var G$=i(Yt);Ar=r(G$,"SPAN",{});var Q$=i(Ar);T(Un.$$.fragment,Q$),Q$.forEach(o),G$.forEach(o),Fc=h(im),Sr=r(im,"SPAN",{});var J$=i(Sr);Cc=p(J$,"ORTModelForMaskedLM"),J$.forEach(o),im.forEach(o),fp=h(t),D=r(t,"DIV",{class:!0});var qe=i(D);T(Xn.$$.fragment,qe),Ac=h(qe),Nr=r(qe,"P",{});var K$=i(Nr);Sc=p(K$,"Onnx Model with a MaskedLMOutput for masked language modeling tasks."),K$.forEach(o),Nc=h(qe),Wn=r(qe,"P",{});var lm=i(Wn);Pc=p(lm,"This model inherits from "),wa=r(lm,"A",{href:!0});var Y$=i(wa);zc=p(Y$,"ORTModel"),Y$.forEach(o),Ic=p(lm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),lm.forEach(o),Dc=h(qe),Pr=r(qe,"P",{});var Z$=i(Pr);Lc=p(Z$,"Masked language model for ONNX."),Z$.forEach(o),Vc=h(qe),ee=r(qe,"DIV",{class:!0});var Ee=i(ee);T(Hn.$$.fragment,Ee),Uc=h(Ee),st=r(Ee,"P",{});var za=i(st);Xc=p(za,"The "),zr=r(za,"CODE",{});var ev=i(zr);Wc=p(ev,"ORTModelForMaskedLM"),ev.forEach(o),Hc=p(za," forward method, overrides the "),Ir=r(za,"CODE",{});var tv=i(Ir);Bc=p(tv,"__call__"),tv.forEach(o),Gc=p(za," special method."),za.forEach(o),Qc=h(Ee),T(Zt.$$.fragment,Ee),Jc=h(Ee),T(eo.$$.fragment,Ee),Kc=h(Ee),T(to.$$.fragment,Ee),Ee.forEach(o),qe.forEach(o),gp=h(t),at=r(t,"H3",{class:!0});var pm=i(at);oo=r(pm,"A",{id:!0,class:!0,href:!0});var ov=i(oo);Dr=r(ov,"SPAN",{});var nv=i(Dr);T(Bn.$$.fragment,nv),nv.forEach(o),ov.forEach(o),Yc=h(pm),Lr=r(pm,"SPAN",{});var sv=i(Lr);Zc=p(sv,"ORTModelForSeq2SeqLM"),sv.forEach(o),pm.forEach(o),_p=h(t),he=r(t,"DIV",{class:!0});var fn=i(he);T(Gn.$$.fragment,fn),eu=h(fn),Vr=r(fn,"P",{});var av=i(Vr);tu=p(av,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),av.forEach(o),ou=h(fn),no=r(fn,"DIV",{class:!0});var mm=i(no);T(Qn.$$.fragment,mm),nu=h(mm),Jn=r(mm,"P",{});var dm=i(Jn);su=p(dm,"Returns True to validate the check that the model using "),Ur=r(dm,"CODE",{});var rv=i(Ur);au=p(rv,"GenerationMixin.generate()"),rv.forEach(o),ru=p(dm," can indeed generate."),dm.forEach(o),mm.forEach(o),iu=h(fn),te=r(fn,"DIV",{class:!0});var Re=i(te);T(Kn.$$.fragment,Re),lu=h(Re),rt=r(Re,"P",{});var Ia=i(rt);pu=p(Ia,"The "),Xr=r(Ia,"CODE",{});var iv=i(Xr);mu=p(iv,"ORTModelForSeq2SeqLM"),iv.forEach(o),du=p(Ia," forward method, overrides the "),Wr=r(Ia,"CODE",{});var lv=i(Wr);cu=p(lv,"__call__"),lv.forEach(o),uu=p(Ia," special method."),Ia.forEach(o),hu=h(Re),T(so.$$.fragment,Re),fu=h(Re),T(ao.$$.fragment,Re),gu=h(Re),T(ro.$$.fragment,Re),Re.forEach(o),fn.forEach(o),$p=h(t),it=r(t,"H3",{class:!0});var cm=i(it);io=r(cm,"A",{id:!0,class:!0,href:!0});var pv=i(io);Hr=r(pv,"SPAN",{});var mv=i(Hr);T(Yn.$$.fragment,mv),mv.forEach(o),pv.forEach(o),_u=h(cm),Br=r(cm,"SPAN",{});var dv=i(Br);$u=p(dv,"ORTModelForSequenceClassification"),dv.forEach(o),cm.forEach(o),vp=h(t),L=r(t,"DIV",{class:!0});var Fe=i(L);T(Zn.$$.fragment,Fe),vu=h(Fe),Gr=r(Fe,"P",{});var cv=i(Gr);wu=p(cv,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),cv.forEach(o),ku=h(Fe),es=r(Fe,"P",{});var um=i(es);Tu=p(um,"This model inherits from "),ka=r(um,"A",{href:!0});var uv=i(ka);bu=p(uv,"ORTModel"),uv.forEach(o),xu=p(um,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),um.forEach(o),yu=h(Fe),Qr=r(Fe,"P",{});var hv=i(Qr);Mu=p(hv,"Sequence Classification model for ONNX."),hv.forEach(o),Ou=h(Fe),I=r(Fe,"DIV",{class:!0});var be=i(I);T(ts.$$.fragment,be),ju=h(be),lt=r(be,"P",{});var Da=i(lt);qu=p(Da,"The "),Jr=r(Da,"CODE",{});var fv=i(Jr);Eu=p(fv,"ORTModelForSequenceClassification"),fv.forEach(o),Ru=p(Da," forward method, overrides the "),Kr=r(Da,"CODE",{});var gv=i(Kr);Fu=p(gv,"__call__"),gv.forEach(o),Cu=p(Da," special method."),Da.forEach(o),Au=h(be),T(lo.$$.fragment,be),Su=h(be),T(po.$$.fragment,be),Nu=h(be),T(mo.$$.fragment,be),Pu=h(be),T(co.$$.fragment,be),be.forEach(o),Fe.forEach(o),wp=h(t),pt=r(t,"H3",{class:!0});var hm=i(pt);uo=r(hm,"A",{id:!0,class:!0,href:!0});var _v=i(uo);Yr=r(_v,"SPAN",{});var $v=i(Yr);T(os.$$.fragment,$v),$v.forEach(o),_v.forEach(o),zu=h(hm),Zr=r(hm,"SPAN",{});var vv=i(Zr);Iu=p(vv,"ORTModelForTokenClassification"),vv.forEach(o),hm.forEach(o),kp=h(t),V=r(t,"DIV",{class:!0});var Ce=i(V);T(ns.$$.fragment,Ce),Du=h(Ce),ei=r(Ce,"P",{});var wv=i(ei);Lu=p(wv,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),wv.forEach(o),Vu=h(Ce),ss=r(Ce,"P",{});var fm=i(ss);Uu=p(fm,"This model inherits from "),Ta=r(fm,"A",{href:!0});var kv=i(Ta);Xu=p(kv,"ORTModel"),kv.forEach(o),Wu=p(fm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),fm.forEach(o),Hu=h(Ce),ti=r(Ce,"P",{});var Tv=i(ti);Bu=p(Tv,"Token Classification model for ONNX."),Tv.forEach(o),Gu=h(Ce),oe=r(Ce,"DIV",{class:!0});var Ae=i(oe);T(as.$$.fragment,Ae),Qu=h(Ae),mt=r(Ae,"P",{});var La=i(mt);Ju=p(La,"The "),oi=r(La,"CODE",{});var bv=i(oi);Ku=p(bv,"ORTModelForTokenClassification"),bv.forEach(o),Yu=p(La," forward method, overrides the "),ni=r(La,"CODE",{});var xv=i(ni);Zu=p(xv,"__call__"),xv.forEach(o),eh=p(La," special method."),La.forEach(o),th=h(Ae),T(ho.$$.fragment,Ae),oh=h(Ae),T(fo.$$.fragment,Ae),nh=h(Ae),T(go.$$.fragment,Ae),Ae.forEach(o),Ce.forEach(o),Tp=h(t),dt=r(t,"H3",{class:!0});var gm=i(dt);_o=r(gm,"A",{id:!0,class:!0,href:!0});var yv=i(_o);si=r(yv,"SPAN",{});var Mv=i(si);T(rs.$$.fragment,Mv),Mv.forEach(o),yv.forEach(o),sh=h(gm),ai=r(gm,"SPAN",{});var Ov=i(ai);ah=p(Ov,"ORTModelForMultipleChoice"),Ov.forEach(o),gm.forEach(o),bp=h(t),U=r(t,"DIV",{class:!0});var Se=i(U);T(is.$$.fragment,Se),rh=h(Se),ri=r(Se,"P",{});var jv=i(ri);ih=p(jv,`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),jv.forEach(o),lh=h(Se),ls=r(Se,"P",{});var _m=i(ls);ph=p(_m,"This model inherits from "),ba=r(_m,"A",{href:!0});var qv=i(ba);mh=p(qv,"ORTModel"),qv.forEach(o),dh=p(_m,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),_m.forEach(o),ch=h(Se),ii=r(Se,"P",{});var Ev=i(ii);uh=p(Ev,"Multiple choice model for ONNX."),Ev.forEach(o),hh=h(Se),ve=r(Se,"DIV",{class:!0});var gn=i(ve);T(ps.$$.fragment,gn),fh=h(gn),ct=r(gn,"P",{});var Va=i(ct);gh=p(Va,"The "),li=r(Va,"CODE",{});var Rv=i(li);_h=p(Rv,"ORTModelForMultipleChoice"),Rv.forEach(o),$h=p(Va," forward method, overrides the "),pi=r(Va,"CODE",{});var Fv=i(pi);vh=p(Fv,"__call__"),Fv.forEach(o),wh=p(Va," special method."),Va.forEach(o),kh=h(gn),T($o.$$.fragment,gn),Th=h(gn),T(vo.$$.fragment,gn),gn.forEach(o),Se.forEach(o),xp=h(t),ut=r(t,"H2",{class:!0});var $m=i(ut);wo=r($m,"A",{id:!0,class:!0,href:!0});var Cv=i(wo);mi=r(Cv,"SPAN",{});var Av=i(mi);T(ms.$$.fragment,Av),Av.forEach(o),Cv.forEach(o),bh=h($m),di=r($m,"SPAN",{});var Sv=i(di);xh=p(Sv,"Computer vision"),Sv.forEach(o),$m.forEach(o),yp=h(t),xa=r(t,"P",{});var Nv=i(xa);yh=p(Nv,"The following ORT classes are available for the following computer vision tasks."),Nv.forEach(o),Mp=h(t),ht=r(t,"H3",{class:!0});var vm=i(ht);ko=r(vm,"A",{id:!0,class:!0,href:!0});var Pv=i(ko);ci=r(Pv,"SPAN",{});var zv=i(ci);T(ds.$$.fragment,zv),zv.forEach(o),Pv.forEach(o),Mh=h(vm),ui=r(vm,"SPAN",{});var Iv=i(ui);Oh=p(Iv,"ORTModelForQuestionAnswering"),Iv.forEach(o),vm.forEach(o),Op=h(t),X=r(t,"DIV",{class:!0});var Ne=i(X);T(cs.$$.fragment,Ne),jh=h(Ne),hi=r(Ne,"P",{});var Dv=i(hi);qh=p(Dv,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Dv.forEach(o),Eh=h(Ne),us=r(Ne,"P",{});var wm=i(us);Rh=p(wm,"This model inherits from "),ya=r(wm,"A",{href:!0});var Lv=i(ya);Fh=p(Lv,"ORTModel"),Lv.forEach(o),Ch=p(wm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),wm.forEach(o),Ah=h(Ne),fi=r(Ne,"P",{});var Vv=i(fi);Sh=p(Vv,"Question Answering model for ONNX."),Vv.forEach(o),Nh=h(Ne),ne=r(Ne,"DIV",{class:!0});var Pe=i(ne);T(hs.$$.fragment,Pe),Ph=h(Pe),ft=r(Pe,"P",{});var Ua=i(ft);zh=p(Ua,"The "),gi=r(Ua,"CODE",{});var Uv=i(gi);Ih=p(Uv,"ORTModelForQuestionAnswering"),Uv.forEach(o),Dh=p(Ua," forward method, overrides the "),_i=r(Ua,"CODE",{});var Xv=i(_i);Lh=p(Xv,"__call__"),Xv.forEach(o),Vh=p(Ua," special method."),Ua.forEach(o),Uh=h(Pe),T(To.$$.fragment,Pe),Xh=h(Pe),T(bo.$$.fragment,Pe),Wh=h(Pe),T(xo.$$.fragment,Pe),Pe.forEach(o),Ne.forEach(o),jp=h(t),gt=r(t,"H3",{class:!0});var km=i(gt);yo=r(km,"A",{id:!0,class:!0,href:!0});var Wv=i(yo);$i=r(Wv,"SPAN",{});var Hv=i($i);T(fs.$$.fragment,Hv),Hv.forEach(o),Wv.forEach(o),Hh=h(km),vi=r(km,"SPAN",{});var Bv=i(vi);Bh=p(Bv,"ORTModelForImageClassification"),Bv.forEach(o),km.forEach(o),qp=h(t),W=r(t,"DIV",{class:!0});var ze=i(W);T(gs.$$.fragment,ze),Gh=h(ze),wi=r(ze,"P",{});var Gv=i(wi);Qh=p(Gv,"Onnx Model for image-classification tasks."),Gv.forEach(o),Jh=h(ze),_s=r(ze,"P",{});var Tm=i(_s);Kh=p(Tm,"This model inherits from "),Ma=r(Tm,"A",{href:!0});var Qv=i(Ma);Yh=p(Qv,"ORTModel"),Qv.forEach(o),Zh=p(Tm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Tm.forEach(o),ef=h(ze),ki=r(ze,"P",{});var Jv=i(ki);tf=p(Jv,"Image Classification model for ONNX."),Jv.forEach(o),of=h(ze),se=r(ze,"DIV",{class:!0});var Ie=i(se);T($s.$$.fragment,Ie),nf=h(Ie),_t=r(Ie,"P",{});var Xa=i(_t);sf=p(Xa,"The "),Ti=r(Xa,"CODE",{});var Kv=i(Ti);af=p(Kv,"ORTModelForImageClassification"),Kv.forEach(o),rf=p(Xa," forward method, overrides the "),bi=r(Xa,"CODE",{});var Yv=i(bi);lf=p(Yv,"__call__"),Yv.forEach(o),pf=p(Xa," special method."),Xa.forEach(o),mf=h(Ie),T(Mo.$$.fragment,Ie),df=h(Ie),T(Oo.$$.fragment,Ie),cf=h(Ie),T(jo.$$.fragment,Ie),Ie.forEach(o),ze.forEach(o),Ep=h(t),$t=r(t,"H3",{class:!0});var bm=i($t);qo=r(bm,"A",{id:!0,class:!0,href:!0});var Zv=i(qo);xi=r(Zv,"SPAN",{});var ew=i(xi);T(vs.$$.fragment,ew),ew.forEach(o),Zv.forEach(o),uf=h(bm),yi=r(bm,"SPAN",{});var tw=i(yi);hf=p(tw,"ORTModelForSemanticSegmentation"),tw.forEach(o),bm.forEach(o),Rp=h(t),H=r(t,"DIV",{class:!0});var De=i(H);T(ws.$$.fragment,De),ff=h(De),Mi=r(De,"P",{});var ow=i(Mi);gf=p(ow,"Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),ow.forEach(o),_f=h(De),ks=r(De,"P",{});var xm=i(ks);$f=p(xm,"This model inherits from "),Oa=r(xm,"A",{href:!0});var nw=i(Oa);vf=p(nw,"ORTModel"),nw.forEach(o),wf=p(xm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),xm.forEach(o),kf=h(De),Oi=r(De,"P",{});var sw=i(Oi);Tf=p(sw,"Semantic Segmentation model for ONNX."),sw.forEach(o),bf=h(De),ae=r(De,"DIV",{class:!0});var Le=i(ae);T(Ts.$$.fragment,Le),xf=h(Le),vt=r(Le,"P",{});var Wa=i(vt);yf=p(Wa,"The "),ji=r(Wa,"CODE",{});var aw=i(ji);Mf=p(aw,"ORTModelForSemanticSegmentation"),aw.forEach(o),Of=p(Wa," forward method, overrides the "),qi=r(Wa,"CODE",{});var rw=i(qi);jf=p(rw,"__call__"),rw.forEach(o),qf=p(Wa," special method."),Wa.forEach(o),Ef=h(Le),T(Eo.$$.fragment,Le),Rf=h(Le),T(Ro.$$.fragment,Le),Ff=h(Le),T(Fo.$$.fragment,Le),Le.forEach(o),De.forEach(o),Fp=h(t),wt=r(t,"H2",{class:!0});var ym=i(wt);Co=r(ym,"A",{id:!0,class:!0,href:!0});var iw=i(Co);Ei=r(iw,"SPAN",{});var lw=i(Ei);T(bs.$$.fragment,lw),lw.forEach(o),iw.forEach(o),Cf=h(ym),Ri=r(ym,"SPAN",{});var pw=i(Ri);Af=p(pw,"Audio"),pw.forEach(o),ym.forEach(o),Cp=h(t),ja=r(t,"P",{});var mw=i(ja);Sf=p(mw,"The following ORT classes are available for the following audio tasks."),mw.forEach(o),Ap=h(t),kt=r(t,"H3",{class:!0});var Mm=i(kt);Ao=r(Mm,"A",{id:!0,class:!0,href:!0});var dw=i(Ao);Fi=r(dw,"SPAN",{});var cw=i(Fi);T(xs.$$.fragment,cw),cw.forEach(o),dw.forEach(o),Nf=h(Mm),Ci=r(Mm,"SPAN",{});var uw=i(Ci);Pf=p(uw,"ORTModelForAudioClassification"),uw.forEach(o),Mm.forEach(o),Sp=h(t),B=r(t,"DIV",{class:!0});var Ve=i(B);T(ys.$$.fragment,Ve),zf=h(Ve),Ai=r(Ve,"P",{});var hw=i(Ai);If=p(hw,`Onnx Model with a sequence classification head on top (a linear layer over the pooled output) for tasks like
SUPERB Keyword Spotting.`),hw.forEach(o),Df=h(Ve),Ms=r(Ve,"P",{});var Om=i(Ms);Lf=p(Om,"This model inherits from "),qa=r(Om,"A",{href:!0});var fw=i(qa);Vf=p(fw,"ORTModel"),fw.forEach(o),Uf=p(Om,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Om.forEach(o),Xf=h(Ve),Si=r(Ve,"P",{});var gw=i(Si);Wf=p(gw,"Audio Classification model for ONNX."),gw.forEach(o),Hf=h(Ve),re=r(Ve,"DIV",{class:!0});var Ue=i(re);T(Os.$$.fragment,Ue),Bf=h(Ue),Tt=r(Ue,"P",{});var Ha=i(Tt);Gf=p(Ha,"The "),Ni=r(Ha,"CODE",{});var _w=i(Ni);Qf=p(_w,"ORTModelForAudioClassification"),_w.forEach(o),Jf=p(Ha," forward method, overrides the "),Pi=r(Ha,"CODE",{});var $w=i(Pi);Kf=p($w,"__call__"),$w.forEach(o),Yf=p(Ha," special method."),Ha.forEach(o),Zf=h(Ue),T(So.$$.fragment,Ue),eg=h(Ue),T(No.$$.fragment,Ue),tg=h(Ue),T(Po.$$.fragment,Ue),Ue.forEach(o),Ve.forEach(o),Np=h(t),bt=r(t,"H3",{class:!0});var jm=i(bt);zo=r(jm,"A",{id:!0,class:!0,href:!0});var vw=i(zo);zi=r(vw,"SPAN",{});var ww=i(zi);T(js.$$.fragment,ww),ww.forEach(o),vw.forEach(o),og=h(jm),Ii=r(jm,"SPAN",{});var kw=i(Ii);ng=p(kw,"ORTModelForAudioFrameClassification"),kw.forEach(o),jm.forEach(o),Pp=h(t),G=r(t,"DIV",{class:!0});var Xe=i(G);T(qs.$$.fragment,Xe),sg=h(Xe),Di=r(Xe,"P",{});var Tw=i(Di);ag=p(Tw,"Onnx Model for with a frame classification head on top for tasks like Speaker Diarization."),Tw.forEach(o),rg=h(Xe),Es=r(Xe,"P",{});var qm=i(Es);ig=p(qm,"This model inherits from "),Ea=r(qm,"A",{href:!0});var bw=i(Ea);lg=p(bw,"ORTModel"),bw.forEach(o),pg=p(qm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),qm.forEach(o),mg=h(Xe),Li=r(Xe,"P",{});var xw=i(Li);dg=p(xw,"Audio Frame Classification model for ONNX."),xw.forEach(o),cg=h(Xe),we=r(Xe,"DIV",{class:!0});var _n=i(we);T(Rs.$$.fragment,_n),ug=h(_n),xt=r(_n,"P",{});var Ba=i(xt);hg=p(Ba,"The "),Vi=r(Ba,"CODE",{});var yw=i(Vi);fg=p(yw,"ORTModelForAudioFrameClassification"),yw.forEach(o),gg=p(Ba," forward method, overrides the "),Ui=r(Ba,"CODE",{});var Mw=i(Ui);_g=p(Mw,"__call__"),Mw.forEach(o),$g=p(Ba," special method."),Ba.forEach(o),vg=h(_n),T(Io.$$.fragment,_n),wg=h(_n),T(Do.$$.fragment,_n),_n.forEach(o),Xe.forEach(o),zp=h(t),yt=r(t,"H3",{class:!0});var Em=i(yt);Lo=r(Em,"A",{id:!0,class:!0,href:!0});var Ow=i(Lo);Xi=r(Ow,"SPAN",{});var jw=i(Xi);T(Fs.$$.fragment,jw),jw.forEach(o),Ow.forEach(o),kg=h(Em),Wi=r(Em,"SPAN",{});var qw=i(Wi);Tg=p(qw,"ORTModelForCTC"),qw.forEach(o),Em.forEach(o),Ip=h(t),Q=r(t,"DIV",{class:!0});var We=i(Q);T(Cs.$$.fragment,We),bg=h(We),Hi=r(We,"P",{});var Ew=i(Hi);xg=p(Ew,"Onnx Model with a language modeling head on top for Connectionist Temporal Classification (CTC)."),Ew.forEach(o),yg=h(We),As=r(We,"P",{});var Rm=i(As);Mg=p(Rm,"This model inherits from "),Ra=r(Rm,"A",{href:!0});var Rw=i(Ra);Og=p(Rw,"ORTModel"),Rw.forEach(o),jg=p(Rm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Rm.forEach(o),qg=h(We),Bi=r(We,"P",{});var Fw=i(Bi);Eg=p(Fw,"CTC model for ONNX."),Fw.forEach(o),Rg=h(We),ke=r(We,"DIV",{class:!0});var $n=i(ke);T(Ss.$$.fragment,$n),Fg=h($n),Mt=r($n,"P",{});var Ga=i(Mt);Cg=p(Ga,"The "),Gi=r(Ga,"CODE",{});var Cw=i(Gi);Ag=p(Cw,"ORTModelForCTC"),Cw.forEach(o),Sg=p(Ga," forward method, overrides the "),Qi=r(Ga,"CODE",{});var Aw=i(Qi);Ng=p(Aw,"__call__"),Aw.forEach(o),Pg=p(Ga," special method."),Ga.forEach(o),zg=h($n),T(Vo.$$.fragment,$n),Ig=h($n),T(Uo.$$.fragment,$n),$n.forEach(o),We.forEach(o),Dp=h(t),Ot=r(t,"H3",{class:!0});var Fm=i(Ot);Xo=r(Fm,"A",{id:!0,class:!0,href:!0});var Sw=i(Xo);Ji=r(Sw,"SPAN",{});var Nw=i(Ji);T(Ns.$$.fragment,Nw),Nw.forEach(o),Sw.forEach(o),Dg=h(Fm),Ki=r(Fm,"SPAN",{});var Pw=i(Ki);Lg=p(Pw,"ORTModelForSpeechSeq2Seq"),Pw.forEach(o),Fm.forEach(o),Lp=h(t),fe=r(t,"DIV",{class:!0});var vn=i(fe);T(Ps.$$.fragment,vn),Vg=h(vn),Yi=r(vn,"P",{});var zw=i(Yi);Ug=p(zw,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),zw.forEach(o),Xg=h(vn),Wo=r(vn,"DIV",{class:!0});var Cm=i(Wo);T(zs.$$.fragment,Cm),Wg=h(Cm),Is=r(Cm,"P",{});var Am=i(Is);Hg=p(Am,"Returns True to validate the check that the model using "),Zi=r(Am,"CODE",{});var Iw=i(Zi);Bg=p(Iw,"GenerationMixin.generate()"),Iw.forEach(o),Gg=p(Am," can indeed generate."),Am.forEach(o),Cm.forEach(o),Qg=h(vn),ie=r(vn,"DIV",{class:!0});var He=i(ie);T(Ds.$$.fragment,He),Jg=h(He),jt=r(He,"P",{});var Qa=i(jt);Kg=p(Qa,"The "),el=r(Qa,"CODE",{});var Dw=i(el);Yg=p(Dw,"ORTModelForSpeechSeq2Seq"),Dw.forEach(o),Zg=p(Qa," forward method, overrides the "),tl=r(Qa,"CODE",{});var Lw=i(tl);e_=p(Lw,"__call__"),Lw.forEach(o),t_=p(Qa," special method."),Qa.forEach(o),o_=h(He),T(Ho.$$.fragment,He),n_=h(He),T(Bo.$$.fragment,He),s_=h(He),T(Go.$$.fragment,He),He.forEach(o),vn.forEach(o),Vp=h(t),qt=r(t,"H3",{class:!0});var Sm=i(qt);Qo=r(Sm,"A",{id:!0,class:!0,href:!0});var Vw=i(Qo);ol=r(Vw,"SPAN",{});var Uw=i(ol);T(Ls.$$.fragment,Uw),Uw.forEach(o),Vw.forEach(o),a_=h(Sm),nl=r(Sm,"SPAN",{});var Xw=i(nl);r_=p(Xw,"ORTModelForAudioXVector"),Xw.forEach(o),Sm.forEach(o),Up=h(t),J=r(t,"DIV",{class:!0});var Be=i(J);T(Vs.$$.fragment,Be),i_=h(Be),sl=r(Be,"P",{});var Ww=i(sl);l_=p(Ww,"Onnx Model with an XVector feature extraction head on top for tasks like Speaker Verification."),Ww.forEach(o),p_=h(Be),Us=r(Be,"P",{});var Nm=i(Us);m_=p(Nm,"This model inherits from "),Fa=r(Nm,"A",{href:!0});var Hw=i(Fa);d_=p(Hw,"ORTModel"),Hw.forEach(o),c_=p(Nm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Nm.forEach(o),u_=h(Be),al=r(Be,"P",{});var Bw=i(al);h_=p(Bw,"Audio XVector model for ONNX."),Bw.forEach(o),f_=h(Be),Te=r(Be,"DIV",{class:!0});var wn=i(Te);T(Xs.$$.fragment,wn),g_=h(wn),Et=r(wn,"P",{});var Ja=i(Et);__=p(Ja,"The "),rl=r(Ja,"CODE",{});var Gw=i(rl);$_=p(Gw,"ORTModelForAudioXVector"),Gw.forEach(o),v_=p(Ja," forward method, overrides the "),il=r(Ja,"CODE",{});var Qw=i(il);w_=p(Qw,"__call__"),Qw.forEach(o),k_=p(Ja," special method."),Ja.forEach(o),T_=h(wn),T(Jo.$$.fragment,wn),b_=h(wn),T(Ko.$$.fragment,wn),wn.forEach(o),Be.forEach(o),Xp=h(t),Rt=r(t,"H2",{class:!0});var Pm=i(Rt);Yo=r(Pm,"A",{id:!0,class:!0,href:!0});var Jw=i(Yo);ll=r(Jw,"SPAN",{});var Kw=i(ll);T(Ws.$$.fragment,Kw),Kw.forEach(o),Jw.forEach(o),x_=h(Pm),pl=r(Pm,"SPAN",{});var Yw=i(pl);y_=p(Yw,"Multimodal"),Yw.forEach(o),Pm.forEach(o),Wp=h(t),Ca=r(t,"P",{});var Zw=i(Ca);M_=p(Zw,"The following ORT classes are available for the following multimodal tasks."),Zw.forEach(o),Hp=h(t),Ft=r(t,"H3",{class:!0});var zm=i(Ft);Zo=r(zm,"A",{id:!0,class:!0,href:!0});var ek=i(Zo);ml=r(ek,"SPAN",{});var tk=i(ml);T(Hs.$$.fragment,tk),tk.forEach(o),ek.forEach(o),O_=h(zm),dl=r(zm,"SPAN",{});var ok=i(dl);j_=p(ok,"ORTModelForVision2Seq"),ok.forEach(o),zm.forEach(o),Bp=h(t),ge=r(t,"DIV",{class:!0});var kn=i(ge);T(Bs.$$.fragment,kn),q_=h(kn),cl=r(kn,"P",{});var nk=i(cl);E_=p(nk,"VisionEncoderDecoder Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),nk.forEach(o),R_=h(kn),en=r(kn,"DIV",{class:!0});var Im=i(en);T(Gs.$$.fragment,Im),F_=h(Im),Qs=r(Im,"P",{});var Dm=i(Qs);C_=p(Dm,"Returns True to validate the check that the model using "),ul=r(Dm,"CODE",{});var sk=i(ul);A_=p(sk,"GenerationMixin.generate()"),sk.forEach(o),S_=p(Dm," can indeed generate."),Dm.forEach(o),Im.forEach(o),N_=h(kn),le=r(kn,"DIV",{class:!0});var Ge=i(le);T(Js.$$.fragment,Ge),P_=h(Ge),Ct=r(Ge,"P",{});var Ka=i(Ct);z_=p(Ka,"The "),hl=r(Ka,"CODE",{});var ak=i(hl);I_=p(ak,"ORTModelForVision2Seq"),ak.forEach(o),D_=p(Ka," forward method, overrides the "),fl=r(Ka,"CODE",{});var rk=i(fl);L_=p(rk,"__call__"),rk.forEach(o),V_=p(Ka," special method."),Ka.forEach(o),U_=h(Ge),T(tn.$$.fragment,Ge),X_=h(Ge),T(on.$$.fragment,Ge),W_=h(Ge),T(nn.$$.fragment,Ge),Ge.forEach(o),kn.forEach(o),Gp=h(t),At=r(t,"H2",{class:!0});var Lm=i(At);sn=r(Lm,"A",{id:!0,class:!0,href:!0});var ik=i(sn);gl=r(ik,"SPAN",{});var lk=i(gl);T(Ks.$$.fragment,lk),lk.forEach(o),ik.forEach(o),H_=h(Lm),_l=r(Lm,"SPAN",{});var pk=i(_l);B_=p(pk,"Custom Tasks"),pk.forEach(o),Lm.forEach(o),Qp=h(t),Aa=r(t,"P",{});var mk=i(Aa);G_=p(mk,"The following ORT classes are available for the following custom tasks."),mk.forEach(o),Jp=h(t),St=r(t,"H4",{class:!0});var Vm=i(St);an=r(Vm,"A",{id:!0,class:!0,href:!0});var dk=i(an);$l=r(dk,"SPAN",{});var ck=i($l);T(Ys.$$.fragment,ck),ck.forEach(o),dk.forEach(o),Q_=h(Vm),vl=r(Vm,"SPAN",{});var uk=i(vl);J_=p(uk,"ORTModelForCustomTasks"),uk.forEach(o),Vm.forEach(o),Kp=h(t),K=r(t,"DIV",{class:!0});var Qe=i(K);T(Zs.$$.fragment,Qe),K_=h(Qe),wl=r(Qe,"P",{});var hk=i(wl);Y_=p(hk,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),hk.forEach(o),Z_=h(Qe),ea=r(Qe,"P",{});var Um=i(ea);e$=p(Um,"This model inherits from "),Sa=r(Um,"A",{href:!0});var fk=i(Sa);t$=p(fk,"ORTModel"),fk.forEach(o),o$=p(Um,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Um.forEach(o),n$=h(Qe),kl=r(Qe,"P",{});var gk=i(kl);s$=p(gk,"Model for any custom tasks if the ONNX model is stored in a single file."),gk.forEach(o),a$=h(Qe),pe=r(Qe,"DIV",{class:!0});var Je=i(pe);T(ta.$$.fragment,Je),r$=h(Je),Nt=r(Je,"P",{});var Ya=i(Nt);i$=p(Ya,"The "),Tl=r(Ya,"CODE",{});var _k=i(Tl);l$=p(_k,"ORTModelForCustomTasks"),_k.forEach(o),p$=p(Ya," forward method, overrides the "),bl=r(Ya,"CODE",{});var $k=i(bl);m$=p($k,"__call__"),$k.forEach(o),d$=p(Ya," special method."),Ya.forEach(o),c$=h(Je),T(rn.$$.fragment,Je),u$=h(Je),T(ln.$$.fragment,Je),h$=h(Je),T(pn.$$.fragment,Je),Je.forEach(o),Qe.forEach(o),Yp=h(t),Pt=r(t,"H4",{class:!0});var Xm=i(Pt);mn=r(Xm,"A",{id:!0,class:!0,href:!0});var vk=i(mn);xl=r(vk,"SPAN",{});var wk=i(xl);T(oa.$$.fragment,wk),wk.forEach(o),vk.forEach(o),f$=h(Xm),yl=r(Xm,"SPAN",{});var kk=i(yl);g$=p(kk,"ORTModelForFeatureExtraction"),kk.forEach(o),Xm.forEach(o),Zp=h(t),Y=r(t,"DIV",{class:!0});var Ke=i(Y);T(na.$$.fragment,Ke),_$=h(Ke),Ml=r(Ke,"P",{});var Tk=i(Ml);$$=p(Tk,"Onnx Model with a BaseModelOutput for feature-extraction tasks."),Tk.forEach(o),v$=h(Ke),sa=r(Ke,"P",{});var Wm=i(sa);w$=p(Wm,"This model inherits from "),Na=r(Wm,"A",{href:!0});var bk=i(Na);k$=p(bk,"ORTModel"),bk.forEach(o),T$=p(Wm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Wm.forEach(o),b$=h(Ke),Ol=r(Ke,"P",{});var xk=i(Ol);x$=p(xk,"Feature Extraction model for ONNX."),xk.forEach(o),y$=h(Ke),me=r(Ke,"DIV",{class:!0});var Ye=i(me);T(aa.$$.fragment,Ye),M$=h(Ye),zt=r(Ye,"P",{});var Za=i(zt);O$=p(Za,"The "),jl=r(Za,"CODE",{});var yk=i(jl);j$=p(yk,"ORTModelForFeatureExtraction"),yk.forEach(o),q$=p(Za," forward method, overrides the "),ql=r(Za,"CODE",{});var Mk=i(ql);E$=p(Mk,"__call__"),Mk.forEach(o),R$=p(Za," special method."),Za.forEach(o),F$=h(Ye),T(dn.$$.fragment,Ye),C$=h(Ye),T(cn.$$.fragment,Ye),A$=h(Ye),T(un.$$.fragment,Ye),Ye.forEach(o),Ke.forEach(o),this.h()},h(){w(s,"name","hf:doc:metadata"),w(s,"content",JSON.stringify(OT)),w(c,"id","models"),w(c,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(c,"href","#models"),w(d,"class","relative group"),w(It,"id","generic-model-classes"),w(It,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(It,"href","#generic-model-classes"),w(E,"class","relative group"),w(Dt,"id","optimum.onnxruntime.ORTModel"),w(Dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Dt,"href","#optimum.onnxruntime.ORTModel"),w(Ze,"class","relative group"),w(qn,"href","https://huggingface.co/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),w(qn,"rel","nofollow"),w(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Ht,"id","natural-language-processing"),w(Ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Ht,"href","#natural-language-processing"),w(et,"class","relative group"),w(Bt,"id","optimum.onnxruntime.ORTModelForCausalLM"),w(Bt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Bt,"href","#optimum.onnxruntime.ORTModelForCausalLM"),w(tt,"class","relative group"),w(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Yt,"id","optimum.onnxruntime.ORTModelForMaskedLM"),w(Yt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Yt,"href","#optimum.onnxruntime.ORTModelForMaskedLM"),w(nt,"class","relative group"),w(wa,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(oo,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),w(oo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(oo,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),w(at,"class","relative group"),w(no,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(io,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),w(io,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(io,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),w(it,"class","relative group"),w(ka,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(uo,"id","optimum.onnxruntime.ORTModelForTokenClassification"),w(uo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(uo,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),w(pt,"class","relative group"),w(Ta,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(_o,"id","optimum.onnxruntime.ORTModelForMultipleChoice"),w(_o,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(_o,"href","#optimum.onnxruntime.ORTModelForMultipleChoice"),w(dt,"class","relative group"),w(ba,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(wo,"id","computer-vision"),w(wo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(wo,"href","#computer-vision"),w(ut,"class","relative group"),w(ko,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),w(ko,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(ko,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),w(ht,"class","relative group"),w(ya,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(yo,"id","optimum.onnxruntime.ORTModelForImageClassification"),w(yo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(yo,"href","#optimum.onnxruntime.ORTModelForImageClassification"),w(gt,"class","relative group"),w(Ma,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(qo,"id","optimum.onnxruntime.ORTModelForSemanticSegmentation"),w(qo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(qo,"href","#optimum.onnxruntime.ORTModelForSemanticSegmentation"),w($t,"class","relative group"),w(Oa,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Co,"id","audio"),w(Co,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Co,"href","#audio"),w(wt,"class","relative group"),w(Ao,"id","optimum.onnxruntime.ORTModelForAudioClassification"),w(Ao,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Ao,"href","#optimum.onnxruntime.ORTModelForAudioClassification"),w(kt,"class","relative group"),w(qa,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(zo,"id","optimum.onnxruntime.ORTModelForAudioFrameClassification"),w(zo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(zo,"href","#optimum.onnxruntime.ORTModelForAudioFrameClassification"),w(bt,"class","relative group"),w(Ea,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Lo,"id","optimum.onnxruntime.ORTModelForCTC"),w(Lo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Lo,"href","#optimum.onnxruntime.ORTModelForCTC"),w(yt,"class","relative group"),w(Ra,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Xo,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),w(Xo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Xo,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),w(Ot,"class","relative group"),w(Wo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Qo,"id","optimum.onnxruntime.ORTModelForAudioXVector"),w(Qo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Qo,"href","#optimum.onnxruntime.ORTModelForAudioXVector"),w(qt,"class","relative group"),w(Fa,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Yo,"id","multimodal"),w(Yo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Yo,"href","#multimodal"),w(Rt,"class","relative group"),w(Zo,"id","optimum.onnxruntime.ORTModelForVision2Seq"),w(Zo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Zo,"href","#optimum.onnxruntime.ORTModelForVision2Seq"),w(Ft,"class","relative group"),w(en,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(sn,"id","custom-tasks"),w(sn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(sn,"href","#custom-tasks"),w(At,"class","relative group"),w(an,"id","optimum.onnxruntime.ORTModelForCustomTasks"),w(an,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(an,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),w(St,"class","relative group"),w(Sa,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(mn,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),w(mn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(mn,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),w(Pt,"class","relative group"),w(Na,"href","/docs/optimum/v1.7.1/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,_){e(document.head,s),v(t,$,_),v(t,d,_),e(d,c),e(c,g),b(n,g,null),e(d,m),e(d,j),e(j,f),v(t,O,_),v(t,E,_),e(E,It),e(It,er),b(Tn,er,null),e(E,Hm),e(E,tr),e(tr,Bm),v(t,ip,_),v(t,$a,_),e($a,Gm),v(t,lp,_),v(t,Ze,_),e(Ze,Dt),e(Dt,or),b(bn,or,null),e(Ze,Qm),e(Ze,nr),e(nr,Jm),v(t,pp,_),v(t,S,_),b(xn,S,null),e(S,Km),e(S,sr),e(sr,Ym),e(S,Zm),e(S,yn),e(yn,ed),e(yn,ar),e(ar,td),e(yn,od),e(S,nd),e(S,rr),e(rr,sd),e(S,ad),e(S,Mn),e(Mn,xe),e(xe,rd),e(xe,ir),e(ir,id),e(xe,ld),e(xe,lr),e(lr,pd),e(xe,md),e(xe,pr),e(pr,dd),e(xe,cd),e(Mn,ud),e(Mn,ye),e(ye,hd),e(ye,mr),e(mr,fd),e(ye,gd),e(ye,dr),e(dr,_d),e(ye,$d),e(ye,cr),e(cr,vd),e(ye,wd),e(S,kd),e(S,ur),e(ur,Td),e(S,bd),e(S,de),e(de,On),e(On,xd),e(On,hr),e(hr,yd),e(On,Md),e(de,Od),e(de,jn),e(jn,jd),e(jn,qn),e(qn,qd),e(jn,Ed),e(de,Rd),e(de,ce),e(ce,Fd),e(ce,fr),e(fr,Cd),e(ce,Ad),e(ce,gr),e(gr,Sd),e(ce,Nd),e(ce,_r),e(_r,Pd),e(ce,zd),e(ce,$r),e($r,Id),e(ce,Dd),e(de,Ld),e(de,En),e(En,Vd),e(En,vr),e(vr,Ud),e(En,Xd),e(de,Wd),e(de,wr),e(wr,Hd),e(S,Bd),e(S,Lt),b(Rn,Lt,null),e(Lt,Gd),e(Lt,kr),e(kr,Qd),e(S,Jd),e(S,Vt),b(Fn,Vt,null),e(Vt,Kd),e(Vt,Cn),e(Cn,Yd),e(Cn,Tr),e(Tr,Zd),e(Cn,ec),e(S,tc),e(S,Ut),b(An,Ut,null),e(Ut,oc),e(Ut,br),e(br,nc),e(S,sc),e(S,Xt),b(Sn,Xt,null),e(Xt,ac),e(Xt,xr),e(xr,rc),e(S,ic),e(S,Wt),b(Nn,Wt,null),e(Wt,lc),e(Wt,yr),e(yr,pc),v(t,mp,_),v(t,et,_),e(et,Ht),e(Ht,Mr),b(Pn,Mr,null),e(et,mc),e(et,Or),e(Or,dc),v(t,dp,_),v(t,va,_),e(va,cc),v(t,cp,_),v(t,tt,_),e(tt,Bt),e(Bt,jr),b(zn,jr,null),e(tt,uc),e(tt,qr),e(qr,hc),v(t,up,_),v(t,ue,_),b(In,ue,null),e(ue,fc),e(ue,Er),e(Er,gc),e(ue,_c),e(ue,Gt),b(Dn,Gt,null),e(Gt,$c),e(Gt,Ln),e(Ln,vc),e(Ln,Rr),e(Rr,wc),e(Ln,kc),e(ue,Tc),e(ue,Z),b(Vn,Z,null),e(Z,bc),e(Z,ot),e(ot,xc),e(ot,Fr),e(Fr,yc),e(ot,Mc),e(ot,Cr),e(Cr,Oc),e(ot,jc),e(Z,qc),b(Qt,Z,null),e(Z,Ec),b(Jt,Z,null),e(Z,Rc),b(Kt,Z,null),v(t,hp,_),v(t,nt,_),e(nt,Yt),e(Yt,Ar),b(Un,Ar,null),e(nt,Fc),e(nt,Sr),e(Sr,Cc),v(t,fp,_),v(t,D,_),b(Xn,D,null),e(D,Ac),e(D,Nr),e(Nr,Sc),e(D,Nc),e(D,Wn),e(Wn,Pc),e(Wn,wa),e(wa,zc),e(Wn,Ic),e(D,Dc),e(D,Pr),e(Pr,Lc),e(D,Vc),e(D,ee),b(Hn,ee,null),e(ee,Uc),e(ee,st),e(st,Xc),e(st,zr),e(zr,Wc),e(st,Hc),e(st,Ir),e(Ir,Bc),e(st,Gc),e(ee,Qc),b(Zt,ee,null),e(ee,Jc),b(eo,ee,null),e(ee,Kc),b(to,ee,null),v(t,gp,_),v(t,at,_),e(at,oo),e(oo,Dr),b(Bn,Dr,null),e(at,Yc),e(at,Lr),e(Lr,Zc),v(t,_p,_),v(t,he,_),b(Gn,he,null),e(he,eu),e(he,Vr),e(Vr,tu),e(he,ou),e(he,no),b(Qn,no,null),e(no,nu),e(no,Jn),e(Jn,su),e(Jn,Ur),e(Ur,au),e(Jn,ru),e(he,iu),e(he,te),b(Kn,te,null),e(te,lu),e(te,rt),e(rt,pu),e(rt,Xr),e(Xr,mu),e(rt,du),e(rt,Wr),e(Wr,cu),e(rt,uu),e(te,hu),b(so,te,null),e(te,fu),b(ao,te,null),e(te,gu),b(ro,te,null),v(t,$p,_),v(t,it,_),e(it,io),e(io,Hr),b(Yn,Hr,null),e(it,_u),e(it,Br),e(Br,$u),v(t,vp,_),v(t,L,_),b(Zn,L,null),e(L,vu),e(L,Gr),e(Gr,wu),e(L,ku),e(L,es),e(es,Tu),e(es,ka),e(ka,bu),e(es,xu),e(L,yu),e(L,Qr),e(Qr,Mu),e(L,Ou),e(L,I),b(ts,I,null),e(I,ju),e(I,lt),e(lt,qu),e(lt,Jr),e(Jr,Eu),e(lt,Ru),e(lt,Kr),e(Kr,Fu),e(lt,Cu),e(I,Au),b(lo,I,null),e(I,Su),b(po,I,null),e(I,Nu),b(mo,I,null),e(I,Pu),b(co,I,null),v(t,wp,_),v(t,pt,_),e(pt,uo),e(uo,Yr),b(os,Yr,null),e(pt,zu),e(pt,Zr),e(Zr,Iu),v(t,kp,_),v(t,V,_),b(ns,V,null),e(V,Du),e(V,ei),e(ei,Lu),e(V,Vu),e(V,ss),e(ss,Uu),e(ss,Ta),e(Ta,Xu),e(ss,Wu),e(V,Hu),e(V,ti),e(ti,Bu),e(V,Gu),e(V,oe),b(as,oe,null),e(oe,Qu),e(oe,mt),e(mt,Ju),e(mt,oi),e(oi,Ku),e(mt,Yu),e(mt,ni),e(ni,Zu),e(mt,eh),e(oe,th),b(ho,oe,null),e(oe,oh),b(fo,oe,null),e(oe,nh),b(go,oe,null),v(t,Tp,_),v(t,dt,_),e(dt,_o),e(_o,si),b(rs,si,null),e(dt,sh),e(dt,ai),e(ai,ah),v(t,bp,_),v(t,U,_),b(is,U,null),e(U,rh),e(U,ri),e(ri,ih),e(U,lh),e(U,ls),e(ls,ph),e(ls,ba),e(ba,mh),e(ls,dh),e(U,ch),e(U,ii),e(ii,uh),e(U,hh),e(U,ve),b(ps,ve,null),e(ve,fh),e(ve,ct),e(ct,gh),e(ct,li),e(li,_h),e(ct,$h),e(ct,pi),e(pi,vh),e(ct,wh),e(ve,kh),b($o,ve,null),e(ve,Th),b(vo,ve,null),v(t,xp,_),v(t,ut,_),e(ut,wo),e(wo,mi),b(ms,mi,null),e(ut,bh),e(ut,di),e(di,xh),v(t,yp,_),v(t,xa,_),e(xa,yh),v(t,Mp,_),v(t,ht,_),e(ht,ko),e(ko,ci),b(ds,ci,null),e(ht,Mh),e(ht,ui),e(ui,Oh),v(t,Op,_),v(t,X,_),b(cs,X,null),e(X,jh),e(X,hi),e(hi,qh),e(X,Eh),e(X,us),e(us,Rh),e(us,ya),e(ya,Fh),e(us,Ch),e(X,Ah),e(X,fi),e(fi,Sh),e(X,Nh),e(X,ne),b(hs,ne,null),e(ne,Ph),e(ne,ft),e(ft,zh),e(ft,gi),e(gi,Ih),e(ft,Dh),e(ft,_i),e(_i,Lh),e(ft,Vh),e(ne,Uh),b(To,ne,null),e(ne,Xh),b(bo,ne,null),e(ne,Wh),b(xo,ne,null),v(t,jp,_),v(t,gt,_),e(gt,yo),e(yo,$i),b(fs,$i,null),e(gt,Hh),e(gt,vi),e(vi,Bh),v(t,qp,_),v(t,W,_),b(gs,W,null),e(W,Gh),e(W,wi),e(wi,Qh),e(W,Jh),e(W,_s),e(_s,Kh),e(_s,Ma),e(Ma,Yh),e(_s,Zh),e(W,ef),e(W,ki),e(ki,tf),e(W,of),e(W,se),b($s,se,null),e(se,nf),e(se,_t),e(_t,sf),e(_t,Ti),e(Ti,af),e(_t,rf),e(_t,bi),e(bi,lf),e(_t,pf),e(se,mf),b(Mo,se,null),e(se,df),b(Oo,se,null),e(se,cf),b(jo,se,null),v(t,Ep,_),v(t,$t,_),e($t,qo),e(qo,xi),b(vs,xi,null),e($t,uf),e($t,yi),e(yi,hf),v(t,Rp,_),v(t,H,_),b(ws,H,null),e(H,ff),e(H,Mi),e(Mi,gf),e(H,_f),e(H,ks),e(ks,$f),e(ks,Oa),e(Oa,vf),e(ks,wf),e(H,kf),e(H,Oi),e(Oi,Tf),e(H,bf),e(H,ae),b(Ts,ae,null),e(ae,xf),e(ae,vt),e(vt,yf),e(vt,ji),e(ji,Mf),e(vt,Of),e(vt,qi),e(qi,jf),e(vt,qf),e(ae,Ef),b(Eo,ae,null),e(ae,Rf),b(Ro,ae,null),e(ae,Ff),b(Fo,ae,null),v(t,Fp,_),v(t,wt,_),e(wt,Co),e(Co,Ei),b(bs,Ei,null),e(wt,Cf),e(wt,Ri),e(Ri,Af),v(t,Cp,_),v(t,ja,_),e(ja,Sf),v(t,Ap,_),v(t,kt,_),e(kt,Ao),e(Ao,Fi),b(xs,Fi,null),e(kt,Nf),e(kt,Ci),e(Ci,Pf),v(t,Sp,_),v(t,B,_),b(ys,B,null),e(B,zf),e(B,Ai),e(Ai,If),e(B,Df),e(B,Ms),e(Ms,Lf),e(Ms,qa),e(qa,Vf),e(Ms,Uf),e(B,Xf),e(B,Si),e(Si,Wf),e(B,Hf),e(B,re),b(Os,re,null),e(re,Bf),e(re,Tt),e(Tt,Gf),e(Tt,Ni),e(Ni,Qf),e(Tt,Jf),e(Tt,Pi),e(Pi,Kf),e(Tt,Yf),e(re,Zf),b(So,re,null),e(re,eg),b(No,re,null),e(re,tg),b(Po,re,null),v(t,Np,_),v(t,bt,_),e(bt,zo),e(zo,zi),b(js,zi,null),e(bt,og),e(bt,Ii),e(Ii,ng),v(t,Pp,_),v(t,G,_),b(qs,G,null),e(G,sg),e(G,Di),e(Di,ag),e(G,rg),e(G,Es),e(Es,ig),e(Es,Ea),e(Ea,lg),e(Es,pg),e(G,mg),e(G,Li),e(Li,dg),e(G,cg),e(G,we),b(Rs,we,null),e(we,ug),e(we,xt),e(xt,hg),e(xt,Vi),e(Vi,fg),e(xt,gg),e(xt,Ui),e(Ui,_g),e(xt,$g),e(we,vg),b(Io,we,null),e(we,wg),b(Do,we,null),v(t,zp,_),v(t,yt,_),e(yt,Lo),e(Lo,Xi),b(Fs,Xi,null),e(yt,kg),e(yt,Wi),e(Wi,Tg),v(t,Ip,_),v(t,Q,_),b(Cs,Q,null),e(Q,bg),e(Q,Hi),e(Hi,xg),e(Q,yg),e(Q,As),e(As,Mg),e(As,Ra),e(Ra,Og),e(As,jg),e(Q,qg),e(Q,Bi),e(Bi,Eg),e(Q,Rg),e(Q,ke),b(Ss,ke,null),e(ke,Fg),e(ke,Mt),e(Mt,Cg),e(Mt,Gi),e(Gi,Ag),e(Mt,Sg),e(Mt,Qi),e(Qi,Ng),e(Mt,Pg),e(ke,zg),b(Vo,ke,null),e(ke,Ig),b(Uo,ke,null),v(t,Dp,_),v(t,Ot,_),e(Ot,Xo),e(Xo,Ji),b(Ns,Ji,null),e(Ot,Dg),e(Ot,Ki),e(Ki,Lg),v(t,Lp,_),v(t,fe,_),b(Ps,fe,null),e(fe,Vg),e(fe,Yi),e(Yi,Ug),e(fe,Xg),e(fe,Wo),b(zs,Wo,null),e(Wo,Wg),e(Wo,Is),e(Is,Hg),e(Is,Zi),e(Zi,Bg),e(Is,Gg),e(fe,Qg),e(fe,ie),b(Ds,ie,null),e(ie,Jg),e(ie,jt),e(jt,Kg),e(jt,el),e(el,Yg),e(jt,Zg),e(jt,tl),e(tl,e_),e(jt,t_),e(ie,o_),b(Ho,ie,null),e(ie,n_),b(Bo,ie,null),e(ie,s_),b(Go,ie,null),v(t,Vp,_),v(t,qt,_),e(qt,Qo),e(Qo,ol),b(Ls,ol,null),e(qt,a_),e(qt,nl),e(nl,r_),v(t,Up,_),v(t,J,_),b(Vs,J,null),e(J,i_),e(J,sl),e(sl,l_),e(J,p_),e(J,Us),e(Us,m_),e(Us,Fa),e(Fa,d_),e(Us,c_),e(J,u_),e(J,al),e(al,h_),e(J,f_),e(J,Te),b(Xs,Te,null),e(Te,g_),e(Te,Et),e(Et,__),e(Et,rl),e(rl,$_),e(Et,v_),e(Et,il),e(il,w_),e(Et,k_),e(Te,T_),b(Jo,Te,null),e(Te,b_),b(Ko,Te,null),v(t,Xp,_),v(t,Rt,_),e(Rt,Yo),e(Yo,ll),b(Ws,ll,null),e(Rt,x_),e(Rt,pl),e(pl,y_),v(t,Wp,_),v(t,Ca,_),e(Ca,M_),v(t,Hp,_),v(t,Ft,_),e(Ft,Zo),e(Zo,ml),b(Hs,ml,null),e(Ft,O_),e(Ft,dl),e(dl,j_),v(t,Bp,_),v(t,ge,_),b(Bs,ge,null),e(ge,q_),e(ge,cl),e(cl,E_),e(ge,R_),e(ge,en),b(Gs,en,null),e(en,F_),e(en,Qs),e(Qs,C_),e(Qs,ul),e(ul,A_),e(Qs,S_),e(ge,N_),e(ge,le),b(Js,le,null),e(le,P_),e(le,Ct),e(Ct,z_),e(Ct,hl),e(hl,I_),e(Ct,D_),e(Ct,fl),e(fl,L_),e(Ct,V_),e(le,U_),b(tn,le,null),e(le,X_),b(on,le,null),e(le,W_),b(nn,le,null),v(t,Gp,_),v(t,At,_),e(At,sn),e(sn,gl),b(Ks,gl,null),e(At,H_),e(At,_l),e(_l,B_),v(t,Qp,_),v(t,Aa,_),e(Aa,G_),v(t,Jp,_),v(t,St,_),e(St,an),e(an,$l),b(Ys,$l,null),e(St,Q_),e(St,vl),e(vl,J_),v(t,Kp,_),v(t,K,_),b(Zs,K,null),e(K,K_),e(K,wl),e(wl,Y_),e(K,Z_),e(K,ea),e(ea,e$),e(ea,Sa),e(Sa,t$),e(ea,o$),e(K,n$),e(K,kl),e(kl,s$),e(K,a$),e(K,pe),b(ta,pe,null),e(pe,r$),e(pe,Nt),e(Nt,i$),e(Nt,Tl),e(Tl,l$),e(Nt,p$),e(Nt,bl),e(bl,m$),e(Nt,d$),e(pe,c$),b(rn,pe,null),e(pe,u$),b(ln,pe,null),e(pe,h$),b(pn,pe,null),v(t,Yp,_),v(t,Pt,_),e(Pt,mn),e(mn,xl),b(oa,xl,null),e(Pt,f$),e(Pt,yl),e(yl,g$),v(t,Zp,_),v(t,Y,_),b(na,Y,null),e(Y,_$),e(Y,Ml),e(Ml,$$),e(Y,v$),e(Y,sa),e(sa,w$),e(sa,Na),e(Na,k$),e(sa,T$),e(Y,b$),e(Y,Ol),e(Ol,x$),e(Y,y$),e(Y,me),b(aa,me,null),e(me,M$),e(me,zt),e(zt,O$),e(zt,jl),e(jl,j$),e(zt,q$),e(zt,ql),e(ql,E$),e(zt,R$),e(me,F$),b(dn,me,null),e(me,C$),b(cn,me,null),e(me,A$),b(un,me,null),em=!0},p(t,[_]){const ra={};_&2&&(ra.$$scope={dirty:_,ctx:t}),Qt.$set(ra);const El={};_&2&&(El.$$scope={dirty:_,ctx:t}),Jt.$set(El);const Rl={};_&2&&(Rl.$$scope={dirty:_,ctx:t}),Kt.$set(Rl);const Fl={};_&2&&(Fl.$$scope={dirty:_,ctx:t}),Zt.$set(Fl);const ia={};_&2&&(ia.$$scope={dirty:_,ctx:t}),eo.$set(ia);const Cl={};_&2&&(Cl.$$scope={dirty:_,ctx:t}),to.$set(Cl);const Al={};_&2&&(Al.$$scope={dirty:_,ctx:t}),so.$set(Al);const Sl={};_&2&&(Sl.$$scope={dirty:_,ctx:t}),ao.$set(Sl);const Nl={};_&2&&(Nl.$$scope={dirty:_,ctx:t}),ro.$set(Nl);const la={};_&2&&(la.$$scope={dirty:_,ctx:t}),lo.$set(la);const Pl={};_&2&&(Pl.$$scope={dirty:_,ctx:t}),po.$set(Pl);const zl={};_&2&&(zl.$$scope={dirty:_,ctx:t}),mo.$set(zl);const Il={};_&2&&(Il.$$scope={dirty:_,ctx:t}),co.$set(Il);const N={};_&2&&(N.$$scope={dirty:_,ctx:t}),ho.$set(N);const Dl={};_&2&&(Dl.$$scope={dirty:_,ctx:t}),fo.$set(Dl);const pa={};_&2&&(pa.$$scope={dirty:_,ctx:t}),go.$set(pa);const Ll={};_&2&&(Ll.$$scope={dirty:_,ctx:t}),$o.$set(Ll);const Vl={};_&2&&(Vl.$$scope={dirty:_,ctx:t}),vo.$set(Vl);const ma={};_&2&&(ma.$$scope={dirty:_,ctx:t}),To.$set(ma);const Me={};_&2&&(Me.$$scope={dirty:_,ctx:t}),bo.$set(Me);const Ul={};_&2&&(Ul.$$scope={dirty:_,ctx:t}),xo.$set(Ul);const Xl={};_&2&&(Xl.$$scope={dirty:_,ctx:t}),Mo.$set(Xl);const Wl={};_&2&&(Wl.$$scope={dirty:_,ctx:t}),Oo.$set(Wl);const Oe={};_&2&&(Oe.$$scope={dirty:_,ctx:t}),jo.$set(Oe);const Hl={};_&2&&(Hl.$$scope={dirty:_,ctx:t}),Eo.$set(Hl);const Bl={};_&2&&(Bl.$$scope={dirty:_,ctx:t}),Ro.$set(Bl);const Gl={};_&2&&(Gl.$$scope={dirty:_,ctx:t}),Fo.$set(Gl);const Ql={};_&2&&(Ql.$$scope={dirty:_,ctx:t}),So.$set(Ql);const _e={};_&2&&(_e.$$scope={dirty:_,ctx:t}),No.$set(_e);const da={};_&2&&(da.$$scope={dirty:_,ctx:t}),Po.$set(da);const Jl={};_&2&&(Jl.$$scope={dirty:_,ctx:t}),Io.$set(Jl);const ca={};_&2&&(ca.$$scope={dirty:_,ctx:t}),Do.$set(ca);const Kl={};_&2&&(Kl.$$scope={dirty:_,ctx:t}),Vo.$set(Kl);const $e={};_&2&&($e.$$scope={dirty:_,ctx:t}),Uo.$set($e);const Yl={};_&2&&(Yl.$$scope={dirty:_,ctx:t}),Ho.$set(Yl);const Zl={};_&2&&(Zl.$$scope={dirty:_,ctx:t}),Bo.$set(Zl);const ep={};_&2&&(ep.$$scope={dirty:_,ctx:t}),Go.$set(ep);const tp={};_&2&&(tp.$$scope={dirty:_,ctx:t}),Jo.$set(tp);const ua={};_&2&&(ua.$$scope={dirty:_,ctx:t}),Ko.$set(ua);const op={};_&2&&(op.$$scope={dirty:_,ctx:t}),tn.$set(op);const np={};_&2&&(np.$$scope={dirty:_,ctx:t}),on.$set(np);const ha={};_&2&&(ha.$$scope={dirty:_,ctx:t}),nn.$set(ha);const sp={};_&2&&(sp.$$scope={dirty:_,ctx:t}),rn.$set(sp);const fa={};_&2&&(fa.$$scope={dirty:_,ctx:t}),ln.$set(fa);const ga={};_&2&&(ga.$$scope={dirty:_,ctx:t}),pn.$set(ga);const ap={};_&2&&(ap.$$scope={dirty:_,ctx:t}),dn.$set(ap);const _a={};_&2&&(_a.$$scope={dirty:_,ctx:t}),cn.$set(_a);const rp={};_&2&&(rp.$$scope={dirty:_,ctx:t}),un.$set(rp)},i(t){em||(x(n.$$.fragment,t),x(Tn.$$.fragment,t),x(bn.$$.fragment,t),x(xn.$$.fragment,t),x(Rn.$$.fragment,t),x(Fn.$$.fragment,t),x(An.$$.fragment,t),x(Sn.$$.fragment,t),x(Nn.$$.fragment,t),x(Pn.$$.fragment,t),x(zn.$$.fragment,t),x(In.$$.fragment,t),x(Dn.$$.fragment,t),x(Vn.$$.fragment,t),x(Qt.$$.fragment,t),x(Jt.$$.fragment,t),x(Kt.$$.fragment,t),x(Un.$$.fragment,t),x(Xn.$$.fragment,t),x(Hn.$$.fragment,t),x(Zt.$$.fragment,t),x(eo.$$.fragment,t),x(to.$$.fragment,t),x(Bn.$$.fragment,t),x(Gn.$$.fragment,t),x(Qn.$$.fragment,t),x(Kn.$$.fragment,t),x(so.$$.fragment,t),x(ao.$$.fragment,t),x(ro.$$.fragment,t),x(Yn.$$.fragment,t),x(Zn.$$.fragment,t),x(ts.$$.fragment,t),x(lo.$$.fragment,t),x(po.$$.fragment,t),x(mo.$$.fragment,t),x(co.$$.fragment,t),x(os.$$.fragment,t),x(ns.$$.fragment,t),x(as.$$.fragment,t),x(ho.$$.fragment,t),x(fo.$$.fragment,t),x(go.$$.fragment,t),x(rs.$$.fragment,t),x(is.$$.fragment,t),x(ps.$$.fragment,t),x($o.$$.fragment,t),x(vo.$$.fragment,t),x(ms.$$.fragment,t),x(ds.$$.fragment,t),x(cs.$$.fragment,t),x(hs.$$.fragment,t),x(To.$$.fragment,t),x(bo.$$.fragment,t),x(xo.$$.fragment,t),x(fs.$$.fragment,t),x(gs.$$.fragment,t),x($s.$$.fragment,t),x(Mo.$$.fragment,t),x(Oo.$$.fragment,t),x(jo.$$.fragment,t),x(vs.$$.fragment,t),x(ws.$$.fragment,t),x(Ts.$$.fragment,t),x(Eo.$$.fragment,t),x(Ro.$$.fragment,t),x(Fo.$$.fragment,t),x(bs.$$.fragment,t),x(xs.$$.fragment,t),x(ys.$$.fragment,t),x(Os.$$.fragment,t),x(So.$$.fragment,t),x(No.$$.fragment,t),x(Po.$$.fragment,t),x(js.$$.fragment,t),x(qs.$$.fragment,t),x(Rs.$$.fragment,t),x(Io.$$.fragment,t),x(Do.$$.fragment,t),x(Fs.$$.fragment,t),x(Cs.$$.fragment,t),x(Ss.$$.fragment,t),x(Vo.$$.fragment,t),x(Uo.$$.fragment,t),x(Ns.$$.fragment,t),x(Ps.$$.fragment,t),x(zs.$$.fragment,t),x(Ds.$$.fragment,t),x(Ho.$$.fragment,t),x(Bo.$$.fragment,t),x(Go.$$.fragment,t),x(Ls.$$.fragment,t),x(Vs.$$.fragment,t),x(Xs.$$.fragment,t),x(Jo.$$.fragment,t),x(Ko.$$.fragment,t),x(Ws.$$.fragment,t),x(Hs.$$.fragment,t),x(Bs.$$.fragment,t),x(Gs.$$.fragment,t),x(Js.$$.fragment,t),x(tn.$$.fragment,t),x(on.$$.fragment,t),x(nn.$$.fragment,t),x(Ks.$$.fragment,t),x(Ys.$$.fragment,t),x(Zs.$$.fragment,t),x(ta.$$.fragment,t),x(rn.$$.fragment,t),x(ln.$$.fragment,t),x(pn.$$.fragment,t),x(oa.$$.fragment,t),x(na.$$.fragment,t),x(aa.$$.fragment,t),x(dn.$$.fragment,t),x(cn.$$.fragment,t),x(un.$$.fragment,t),em=!0)},o(t){y(n.$$.fragment,t),y(Tn.$$.fragment,t),y(bn.$$.fragment,t),y(xn.$$.fragment,t),y(Rn.$$.fragment,t),y(Fn.$$.fragment,t),y(An.$$.fragment,t),y(Sn.$$.fragment,t),y(Nn.$$.fragment,t),y(Pn.$$.fragment,t),y(zn.$$.fragment,t),y(In.$$.fragment,t),y(Dn.$$.fragment,t),y(Vn.$$.fragment,t),y(Qt.$$.fragment,t),y(Jt.$$.fragment,t),y(Kt.$$.fragment,t),y(Un.$$.fragment,t),y(Xn.$$.fragment,t),y(Hn.$$.fragment,t),y(Zt.$$.fragment,t),y(eo.$$.fragment,t),y(to.$$.fragment,t),y(Bn.$$.fragment,t),y(Gn.$$.fragment,t),y(Qn.$$.fragment,t),y(Kn.$$.fragment,t),y(so.$$.fragment,t),y(ao.$$.fragment,t),y(ro.$$.fragment,t),y(Yn.$$.fragment,t),y(Zn.$$.fragment,t),y(ts.$$.fragment,t),y(lo.$$.fragment,t),y(po.$$.fragment,t),y(mo.$$.fragment,t),y(co.$$.fragment,t),y(os.$$.fragment,t),y(ns.$$.fragment,t),y(as.$$.fragment,t),y(ho.$$.fragment,t),y(fo.$$.fragment,t),y(go.$$.fragment,t),y(rs.$$.fragment,t),y(is.$$.fragment,t),y(ps.$$.fragment,t),y($o.$$.fragment,t),y(vo.$$.fragment,t),y(ms.$$.fragment,t),y(ds.$$.fragment,t),y(cs.$$.fragment,t),y(hs.$$.fragment,t),y(To.$$.fragment,t),y(bo.$$.fragment,t),y(xo.$$.fragment,t),y(fs.$$.fragment,t),y(gs.$$.fragment,t),y($s.$$.fragment,t),y(Mo.$$.fragment,t),y(Oo.$$.fragment,t),y(jo.$$.fragment,t),y(vs.$$.fragment,t),y(ws.$$.fragment,t),y(Ts.$$.fragment,t),y(Eo.$$.fragment,t),y(Ro.$$.fragment,t),y(Fo.$$.fragment,t),y(bs.$$.fragment,t),y(xs.$$.fragment,t),y(ys.$$.fragment,t),y(Os.$$.fragment,t),y(So.$$.fragment,t),y(No.$$.fragment,t),y(Po.$$.fragment,t),y(js.$$.fragment,t),y(qs.$$.fragment,t),y(Rs.$$.fragment,t),y(Io.$$.fragment,t),y(Do.$$.fragment,t),y(Fs.$$.fragment,t),y(Cs.$$.fragment,t),y(Ss.$$.fragment,t),y(Vo.$$.fragment,t),y(Uo.$$.fragment,t),y(Ns.$$.fragment,t),y(Ps.$$.fragment,t),y(zs.$$.fragment,t),y(Ds.$$.fragment,t),y(Ho.$$.fragment,t),y(Bo.$$.fragment,t),y(Go.$$.fragment,t),y(Ls.$$.fragment,t),y(Vs.$$.fragment,t),y(Xs.$$.fragment,t),y(Jo.$$.fragment,t),y(Ko.$$.fragment,t),y(Ws.$$.fragment,t),y(Hs.$$.fragment,t),y(Bs.$$.fragment,t),y(Gs.$$.fragment,t),y(Js.$$.fragment,t),y(tn.$$.fragment,t),y(on.$$.fragment,t),y(nn.$$.fragment,t),y(Ks.$$.fragment,t),y(Ys.$$.fragment,t),y(Zs.$$.fragment,t),y(ta.$$.fragment,t),y(rn.$$.fragment,t),y(ln.$$.fragment,t),y(pn.$$.fragment,t),y(oa.$$.fragment,t),y(na.$$.fragment,t),y(aa.$$.fragment,t),y(dn.$$.fragment,t),y(cn.$$.fragment,t),y(un.$$.fragment,t),em=!1},d(t){o(s),t&&o($),t&&o(d),M(n),t&&o(O),t&&o(E),M(Tn),t&&o(ip),t&&o($a),t&&o(lp),t&&o(Ze),M(bn),t&&o(pp),t&&o(S),M(xn),M(Rn),M(Fn),M(An),M(Sn),M(Nn),t&&o(mp),t&&o(et),M(Pn),t&&o(dp),t&&o(va),t&&o(cp),t&&o(tt),M(zn),t&&o(up),t&&o(ue),M(In),M(Dn),M(Vn),M(Qt),M(Jt),M(Kt),t&&o(hp),t&&o(nt),M(Un),t&&o(fp),t&&o(D),M(Xn),M(Hn),M(Zt),M(eo),M(to),t&&o(gp),t&&o(at),M(Bn),t&&o(_p),t&&o(he),M(Gn),M(Qn),M(Kn),M(so),M(ao),M(ro),t&&o($p),t&&o(it),M(Yn),t&&o(vp),t&&o(L),M(Zn),M(ts),M(lo),M(po),M(mo),M(co),t&&o(wp),t&&o(pt),M(os),t&&o(kp),t&&o(V),M(ns),M(as),M(ho),M(fo),M(go),t&&o(Tp),t&&o(dt),M(rs),t&&o(bp),t&&o(U),M(is),M(ps),M($o),M(vo),t&&o(xp),t&&o(ut),M(ms),t&&o(yp),t&&o(xa),t&&o(Mp),t&&o(ht),M(ds),t&&o(Op),t&&o(X),M(cs),M(hs),M(To),M(bo),M(xo),t&&o(jp),t&&o(gt),M(fs),t&&o(qp),t&&o(W),M(gs),M($s),M(Mo),M(Oo),M(jo),t&&o(Ep),t&&o($t),M(vs),t&&o(Rp),t&&o(H),M(ws),M(Ts),M(Eo),M(Ro),M(Fo),t&&o(Fp),t&&o(wt),M(bs),t&&o(Cp),t&&o(ja),t&&o(Ap),t&&o(kt),M(xs),t&&o(Sp),t&&o(B),M(ys),M(Os),M(So),M(No),M(Po),t&&o(Np),t&&o(bt),M(js),t&&o(Pp),t&&o(G),M(qs),M(Rs),M(Io),M(Do),t&&o(zp),t&&o(yt),M(Fs),t&&o(Ip),t&&o(Q),M(Cs),M(Ss),M(Vo),M(Uo),t&&o(Dp),t&&o(Ot),M(Ns),t&&o(Lp),t&&o(fe),M(Ps),M(zs),M(Ds),M(Ho),M(Bo),M(Go),t&&o(Vp),t&&o(qt),M(Ls),t&&o(Up),t&&o(J),M(Vs),M(Xs),M(Jo),M(Ko),t&&o(Xp),t&&o(Rt),M(Ws),t&&o(Wp),t&&o(Ca),t&&o(Hp),t&&o(Ft),M(Hs),t&&o(Bp),t&&o(ge),M(Bs),M(Gs),M(Js),M(tn),M(on),M(nn),t&&o(Gp),t&&o(At),M(Ks),t&&o(Qp),t&&o(Aa),t&&o(Jp),t&&o(St),M(Ys),t&&o(Kp),t&&o(K),M(Zs),M(ta),M(rn),M(ln),M(pn),t&&o(Yp),t&&o(Pt),M(oa),t&&o(Zp),t&&o(Y),M(na),M(aa),M(dn),M(cn),M(un)}}}const OT={local:"models",sections:[{local:"generic-model-classes",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"}],title:"Generic model classes"},{local:"natural-language-processing",sections:[{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForMaskedLM",title:"ORTModelForMaskedLM"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"},{local:"optimum.onnxruntime.ORTModelForMultipleChoice",title:"ORTModelForMultipleChoice"}],title:"Natural Language Processing"},{local:"computer-vision",sections:[{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForSemanticSegmentation",title:"ORTModelForSemanticSegmentation"}],title:"Computer vision"},{local:"audio",sections:[{local:"optimum.onnxruntime.ORTModelForAudioClassification",title:"ORTModelForAudioClassification"},{local:"optimum.onnxruntime.ORTModelForAudioFrameClassification",title:"ORTModelForAudioFrameClassification"},{local:"optimum.onnxruntime.ORTModelForCTC",title:"ORTModelForCTC"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForAudioXVector",title:"ORTModelForAudioXVector"}],title:"Audio"},{local:"multimodal",sections:[{local:"optimum.onnxruntime.ORTModelForVision2Seq",title:"ORTModelForVision2Seq"}],title:"Multimodal"},{local:"custom-tasks",sections:[{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"}],title:"Custom Tasks"}],title:"Models"};function jT(q){return Rk(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ST extends Ok{constructor(s){super();jk(this,s,jT,MT,qk,{})}}export{ST as default,OT as metadata};
